View Issue Details

IDProjectCategoryView StatusLast Update
0003389Ham Radio DeluxeEnhancementpublic2019-11-08 02:31
ReporterK7ZCZAssigned Tog3ucq 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.6.0.236 
Target VersionFixed in Version6.7.0.244 
Summary0003389: nice to have "do not prompt again" for turning off radio
DescriptionWhen closing a radio view in Rig Control, the app will prompt to shut off the radio. This can be configured in the options window, but it would be nice to be able to change that setting right from the prompt itself.

The setting in the option window would have to be updated to show three choices: "Always prompt", "turn off, no prompt", and "leave on, no prompt". With this change, the user could always close the radio (without being asked), never close the radio (without being asked), or always get the question.

TagsNo tags attached.
ModuleRig Control
Sub-ModuleAppearance/UI
Testing Beta Successful

Activities

K7ZCZ

2019-07-12 17:52

administrator   ~0008225

Implemented with these checkins to the 6.7 branch:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5068
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5066

g3ucq

2019-09-02 08:34

viewer   ~0008496

I see only "always prompt".

WA9PIE

2019-09-22 19:23

administrator   ~0008584

Sending this back, based on John's comments.

K7ZCZ

2019-09-25 17:53

administrator   ~0008678

No repro steps are offered in John's report, so I'm left to guess at what the actual problem might be. I'm not sure I can successfully deduce what the problem is.

If I open the "Options" window and select the "Comms" tab, dropping down the "Swtich off when closing" list shows the three choices I expect: "Always prompt", "Turn off, no prompt", and "Leave on, no prompt".

If there's a problem here, please take the time to help me understand it so that it can be fixed.

HRD Three Choices.png (33,447 bytes)
HRD Three Choices.png (33,447 bytes)

WA9PIE

2019-09-25 21:56

administrator   ~0008682

I've assigned this back to John so he can review the comments from K7ZCZ.

g3ucq

2019-09-26 08:48

viewer   ~0008693

My apologies. Looking at the wrong version. Fixed.
I would prefer a drop down list rather that the 'rolling' selection.

K7ZCZ

2019-09-26 09:09

administrator   ~0008694

The control provided is a drop down list. See https://docs.microsoft.com/en-us/windows/win32/uxguide/ctrl-drop

g3ucq

2019-09-26 09:27

viewer   ~0008698

For some reason I am not seeing what is shown in your link.
My selections are right under the drop down arrow and difficult to access.
I see the same on the panadapter. Could it be a Windows thing?

K7ZCZ

2019-09-26 11:12

administrator   ~0008702

Dunno what you're seeing. My screen shot shows the "Switch off" drop-down in the dropped state to make the choices visible. Normally, it looks like the "Read Timeout" drop down, which shows only the currently selected choice.

g3ucq

2019-09-26 13:48

viewer   ~0008704

Video of what I see. HTH Mike

Menus.mp4 (26,041,031 bytes)

K7ZCZ

2019-09-26 14:31

administrator   ~0008705

Looks like the drop down portion of the control isn't sizing correctly. I can't provide any reason for that to be happening without more information or investigation.

But I also note that this video shows the panadapter window, but this Mantis issue is about an enhancement to the product that doesn't involve the pan-adapter window. To me, it seems important to stay on-topic in Mantis issues, so it's probably a good idea to open a separate Mantis issue for the problem you're experiencing. That way, you can give a complete description of your problem and your system.

I hope you agree, and that we can close this issue since the underlying issue -- adding persistence to the radio power-off option -- is fixed and working.

g3ucq

2019-09-26 14:46

viewer   ~0008706

I see the same effect with the "do not prompt again" drop down menu as in the panadapter.
Sorry for the wrong placement.

WA9PIE

2019-10-10 08:44

administrator   ~0008779

John, can we consider this one resolved?

g3ucq

2019-10-23 13:59

viewer   ~0008984

Well, the drop down does work but I would prefer a list of available options rather than the 'rolling' options.
My taste.

K7ZCZ

2019-10-23 15:34

administrator   ~0008985

I think something is wrong with John's machine. He says he has a very non-standard representation of drop-down lists in multiple areas of the product. If our code is doing something to exacerbate a problem, then we can try to fix it but I have zero details (other than a screenshot) that shows me what John is experience. The product behaves correctly on my machine. I don't think we should be doing diagnosis or support for beta testers as a part of resolving issues in Mantis.

g3ucq

2019-10-23 16:07

viewer   ~0008986

I recently ran sfc /scannow followed by the DMIS command which repaired some system files.
As far as I can tell my PC is running well and I do not have issues with any other drop down menus. There is no need to be diagnosing my pc.

K7ZCZ

2019-10-23 18:22

administrator   ~0008989

Since your machine, John, is the only one where we see this problem, I think diagnosing your machine is exactly what we have to do. What is it about your machine (where we see this problem) that's different than others (where we don't see this problem)?

I figure the cause must be something to do with your graphics settings. But since I know nothing of your configuration or setup -- I don't even know which version of Windows you're using! -- all I can do is make blind guesses. Is that how you'd like to proceed?

g3ucq

2019-10-24 01:46

viewer  

DxDiag.txt (90,983 bytes)
------------------
System Information
------------------
      Time of this report: 10/24/2019, 07:44:50
             Machine name: DESKTOP-8N740CA
               Machine Id: {E8AA654F-455B-4BA3-8E30-6CFD63E9A0D0}
         Operating System: Windows 10 Home 64-bit (10.0, Build 18362) (18362.19h1_release.190318-1202)
                 Language: English (Regional Setting: English)
      System Manufacturer: Gigabyte Technology Co., Ltd.
             System Model: B450M DS3H
                     BIOS: F41 (type: UEFI)
                Processor: AMD Ryzen 5 1600X Six-Core Processor            (12 CPUs), ~3.6GHz
                   Memory: 8140MB RAM
      Available OS Memory: 8140MB RAM
                Page File: 6757MB used, 2663MB available
              Windows Dir: C:\Windows
          DirectX Version: DirectX 12
      DX Setup Parameters: Not found
         User DPI Setting: 96 DPI (100 percent)
       System DPI Setting: 96 DPI (100 percent)
          DWM DPI Scaling: Disabled
                 Miracast: Available, with HDCP
Microsoft Graphics Hybrid: Not Supported
 DirectX Database Version: Unknown
           DxDiag Version: 10.00.18362.0387 64bit Unicode

------------
DxDiag Notes
------------
      Display Tab 1: No problems found.
      Display Tab 2: No problems found.
        Sound Tab 1: No problems found.
        Sound Tab 2: No problems found.
        Sound Tab 3: No problems found.
        Sound Tab 4: No problems found.
        Sound Tab 5: The file vbaudio_cable64_win7.sys is not digitally signed, which means that it has not been tested by Microsoft's Windows Hardware Quality Labs (WHQL).  You may be able to get a WHQL logo'd driver from the hardware manufacturer.
          Input Tab: No problems found.

--------------------
DirectX Debug Levels
--------------------
Direct3D:    0/4 (retail)
DirectDraw:  0/4 (retail)
DirectInput: 0/5 (retail)
DirectMusic: 0/5 (retail)
DirectPlay:  0/9 (retail)
DirectSound: 0/5 (retail)
DirectShow:  0/6 (retail)

---------------
Display Devices
---------------
           Card name: NVIDIA GeForce GTX 1050 Ti
        Manufacturer: NVIDIA
           Chip type: GeForce GTX 1050 Ti
            DAC type: Integrated RAMDAC
         Device Type: Full Device (POST)
          Device Key: Enum\PCI\VEN_10DE&DEV_1C82&SUBSYS_11BF196E&REV_A1
       Device Status: 0180200A [DN_DRIVER_LOADED|DN_STARTED|DN_DISABLEABLE|DN_NT_ENUMERATOR|DN_NT_DRIVER] 
 Device Problem Code: No Problem
 Driver Problem Code: Unknown
      Display Memory: 8088 MB
    Dedicated Memory: 4018 MB
       Shared Memory: 4070 MB
        Current Mode: 1920 x 1080 (32 bit) (60Hz)
         HDR Support: Not Supported
    Display Topology: Extend
 Display Color Space: DXGI_COLOR_SPACE_RGB_FULL_G22_NONE_P709
     Color Primaries: Red(0.639648,0.339844), Green(0.290039,0.609375), Blue(0.139648,0.069336), White Point(0.309570,0.330078)
   Display Luminance: Min Luminance = 0.500000, Max Luminance = 270.000000, MaxFullFrameLuminance = 270.000000
        Monitor Name: Generic PnP Monitor
       Monitor Model: VW246
          Monitor Id: ACI24F2
         Native Mode: 1920 x 1080(p) (60.000Hz)
         Output Type: DVI
Monitor Capabilities: HDR Not Supported
Display Pixel Format: DISPLAYCONFIG_PIXELFORMAT_32BPP
      Advanced Color: Not Supported
         Driver Name: C:\WINDOWS\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvldumdx.dll,C:\WINDOWS\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvldumdx.dll,C:\WINDOWS\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvldumdx.dll,C:\WINDOWS\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvldumdx.dll
 Driver File Version: 23.21.0013.9077 (English)
      Driver Version: 23.21.13.9077
         DDI Version: 12
      Feature Levels: 12_1,12_0,11_1,11_0,10_1,10_0,9_3,9_2,9_1
        Driver Model: WDDM 2.3
 Graphics Preemption: Pixel
  Compute Preemption: Dispatch
            Miracast: Not Supported
      Detachable GPU: No
 Hybrid Graphics GPU: Not Supported
      Power P-states: Not Supported
      Virtualization: Not Supported
          Block List: No Blocks
  Catalog Attributes: Universal:N/A Declarative:N/A 
   Driver Attributes: Final Retail
    Driver Date/Size: 23/01/2018 01:00:00, 948688 bytes
         WHQL Logo'd: Yes
     WHQL Date Stamp: Unknown
   Device Identifier: {D7B71E3E-5FC2-11CF-AB59-B2311BC2DA35}
           Vendor ID: 0x10DE
           Device ID: 0x1C82
           SubSys ID: 0x11BF196E
         Revision ID: 0x00A1
  Driver Strong Name: oem55.inf:0f066de3900e3bc1:Section118:23.21.13.9077:pci\ven_10de&dev_1c82
      Rank Of Driver: 00D12001
         Video Accel: 
         DXVA2 Modes: DXVA2_ModeMPEG2_VLD  DXVA2_ModeVC1_D2010  DXVA2_ModeVC1_VLD  DXVA2_ModeH264_VLD_Stereo_Progressive_NoFGT  DXVA2_ModeH264_VLD_Stereo_NoFGT  DXVA2_ModeH264_VLD_NoFGT  DXVA2_ModeHEVC_VLD_Main  DXVA2_ModeHEVC_VLD_Main10  DXVA2_ModeMPEG4pt2_VLD_Simple  DXVA2_ModeMPEG4pt2_VLD_AdvSimple_NoGMC  DXVA2_ModeVP9_VLD_Profile0  DXVA2_ModeVP9_VLD_10bit_Profile2  
   Deinterlace Caps: {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(YV12,0x32315659) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(YV12,0x32315659) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YV12,0x32315659) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YV12,0x32315659) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(IMC1,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(IMC1,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC1,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC1,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(IMC2,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(IMC2,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC2,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC2,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(IMC3,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(IMC3,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC3,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC3,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(IMC4,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(IMC4,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC4,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC4,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(S340,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(S340,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(S340,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(S340,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(S342,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(S342,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(S342,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(S342,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
        D3D9 Overlay: Supported
             DXVA-HD: Supported
        DDraw Status: Enabled
          D3D Status: Enabled
          AGP Status: Enabled
       MPO MaxPlanes: 1
            MPO Caps: Not Supported
         MPO Stretch: Not Supported
     MPO Media Hints: Not Supported
         MPO Formats: Not Supported
    PanelFitter Caps: Not Supported
 PanelFitter Stretch: Not Supported

           Card name: NVIDIA GeForce GTX 1050 Ti
        Manufacturer: NVIDIA
           Chip type: GeForce GTX 1050 Ti
            DAC type: Integrated RAMDAC
         Device Type: Full Device (POST)
          Device Key: Enum\PCI\VEN_10DE&DEV_1C82&SUBSYS_11BF196E&REV_A1
       Device Status: 0180200A [DN_DRIVER_LOADED|DN_STARTED|DN_DISABLEABLE|DN_NT_ENUMERATOR|DN_NT_DRIVER] 
 Device Problem Code: No Problem
 Driver Problem Code: Unknown
      Display Memory: 8088 MB
    Dedicated Memory: 4018 MB
       Shared Memory: 4070 MB
        Current Mode: 1920 x 1080 (32 bit) (60Hz)
         HDR Support: Not Supported
    Display Topology: Extend
 Display Color Space: DXGI_COLOR_SPACE_RGB_FULL_G22_NONE_P709
     Color Primaries: Red(0.620117,0.330078), Green(0.290039,0.589844), Blue(0.139648,0.110352), White Point(0.299805,0.330078)
   Display Luminance: Min Luminance = 0.500000, Max Luminance = 270.000000, MaxFullFrameLuminance = 270.000000
        Monitor Name: Generic PnP Monitor
       Monitor Model: unknown
          Monitor Id: AGO0001
         Native Mode: 1024 x 768(p) (60.004Hz)
         Output Type: HDMI
Monitor Capabilities: HDR Not Supported
Display Pixel Format: DISPLAYCONFIG_PIXELFORMAT_32BPP
      Advanced Color: Not Supported
         Driver Name: C:\WINDOWS\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvldumdx.dll,C:\WINDOWS\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvldumdx.dll,C:\WINDOWS\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvldumdx.dll,C:\WINDOWS\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvldumdx.dll
 Driver File Version: 23.21.0013.9077 (English)
      Driver Version: 23.21.13.9077
         DDI Version: 12
      Feature Levels: 12_1,12_0,11_1,11_0,10_1,10_0,9_3,9_2,9_1
        Driver Model: WDDM 2.3
 Graphics Preemption: Pixel
  Compute Preemption: Dispatch
            Miracast: Not Supported
      Detachable GPU: No
 Hybrid Graphics GPU: Not Supported
      Power P-states: Not Supported
      Virtualization: Not Supported
          Block List: No Blocks
  Catalog Attributes: Universal:N/A Declarative:N/A 
   Driver Attributes: Final Retail
    Driver Date/Size: 23/01/2018 01:00:00, 948688 bytes
         WHQL Logo'd: Yes
     WHQL Date Stamp: Unknown
   Device Identifier: {D7B71E3E-5FC2-11CF-AB59-B2311BC2DA35}
           Vendor ID: 0x10DE
           Device ID: 0x1C82
           SubSys ID: 0x11BF196E
         Revision ID: 0x00A1
  Driver Strong Name: oem55.inf:0f066de3900e3bc1:Section118:23.21.13.9077:pci\ven_10de&dev_1c82
      Rank Of Driver: 00D12001
         Video Accel: 
         DXVA2 Modes: DXVA2_ModeMPEG2_VLD  DXVA2_ModeVC1_D2010  DXVA2_ModeVC1_VLD  DXVA2_ModeH264_VLD_Stereo_Progressive_NoFGT  DXVA2_ModeH264_VLD_Stereo_NoFGT  DXVA2_ModeH264_VLD_NoFGT  DXVA2_ModeHEVC_VLD_Main  DXVA2_ModeHEVC_VLD_Main10  DXVA2_ModeMPEG4pt2_VLD_Simple  DXVA2_ModeMPEG4pt2_VLD_AdvSimple_NoGMC  DXVA2_ModeVP9_VLD_Profile0  DXVA2_ModeVP9_VLD_10bit_Profile2  
   Deinterlace Caps: {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(YV12,0x32315659) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(YV12,0x32315659) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YV12,0x32315659) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YV12,0x32315659) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(IMC1,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(IMC1,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC1,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC1,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(IMC2,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(IMC2,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC2,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC2,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(IMC3,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(IMC3,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC3,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC3,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(IMC4,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(IMC4,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC4,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC4,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(S340,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(S340,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(S340,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(S340,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {6CB69578-7617-4637-91E5-1C02DB810285}: Format(In/Out)=(S342,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {F9F19DA5-3B09-4B2F-9D89-C64753E3EAAB}: Format(In/Out)=(S342,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(S342,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(S342,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
        D3D9 Overlay: Supported
             DXVA-HD: Supported
        DDraw Status: Enabled
          D3D Status: Enabled
          AGP Status: Enabled
       MPO MaxPlanes: 1
            MPO Caps: Not Supported
         MPO Stretch: Not Supported
     MPO Media Hints: Not Supported
         MPO Formats: Not Supported
    PanelFitter Caps: Not Supported
 PanelFitter Stretch: Not Supported

-------------
Sound Devices
-------------
            Description: Speakers (3- USB Audio CODEC )
 Default Sound Playback: Yes
 Default Voice Playback: Yes
            Hardware ID: USB\VID_08BB&PID_2901&REV_0100&MI_00
        Manufacturer ID: 65535
             Product ID: 65535
                   Type: WDM
            Driver Name: USBAUDIO.sys
         Driver Version: 10.00.18362.0001 (English)
      Driver Attributes: Final Retail
            WHQL Logo'd: Yes
          Date and Size: 18/03/2019 00:00:00, 198656 bytes
            Other Files: 
        Driver Provider: Microsoft
         HW Accel Level: Basic
              Cap Flags: 0xF1F
    Min/Max Sample Rate: 100, 200000
Static/Strm HW Mix Bufs: 1, 0
 Static/Strm HW 3D Bufs: 0, 0
              HW Memory: 0
       Voice Management: No
 EAX(tm) 2.0 Listen/Src: No, No
   I3DL2(tm) Listen/Src: No, No
Sensaura(tm) ZoomFX(tm): No

            Description: Realtek Digital Output (Realtek(R) Audio)
 Default Sound Playback: No
 Default Voice Playback: No
            Hardware ID: HDAUDIO\FUNC_01&VEN_10EC&DEV_0887&SUBSYS_1458A182&REV_1003
        Manufacturer ID: 1
             Product ID: 100
                   Type: WDM
            Driver Name: RTKVHD64.sys
         Driver Version: 6.00.8688.0001 (English)
      Driver Attributes: Final Retail
            WHQL Logo'd: Yes
          Date and Size: 23/04/2019 00:00:00, 6834464 bytes
            Other Files: 
        Driver Provider: Realtek Semiconductor Corp.
         HW Accel Level: Basic
              Cap Flags: 0xF1F
    Min/Max Sample Rate: 100, 200000
Static/Strm HW Mix Bufs: 1, 0
 Static/Strm HW 3D Bufs: 0, 0
              HW Memory: 0
       Voice Management: No
 EAX(tm) 2.0 Listen/Src: No, No
   I3DL2(tm) Listen/Src: No, No
Sensaura(tm) ZoomFX(tm): No

            Description: DigitalOutput (2- NVIDIA High Definition Audio)
 Default Sound Playback: No
 Default Voice Playback: No
            Hardware ID: HDAUDIO\FUNC_01&VEN_10DE&DEV_0080&SUBSYS_196E11BF&REV_1001
        Manufacturer ID: 1
             Product ID: 100
                   Type: WDM
            Driver Name: nvhda64v.sys
         Driver Version: 1.03.0036.0006 (English)
      Driver Attributes: Final Retail
            WHQL Logo'd: Yes
          Date and Size: 23/01/2018 00:00:00, 235432 bytes
            Other Files: 
        Driver Provider: NVIDIA Corporation
         HW Accel Level: Basic
              Cap Flags: 0xF1F
    Min/Max Sample Rate: 100, 200000
Static/Strm HW Mix Bufs: 1, 0
 Static/Strm HW 3D Bufs: 0, 0
              HW Memory: 0
       Voice Management: No
 EAX(tm) 2.0 Listen/Src: No, No
   I3DL2(tm) Listen/Src: No, No
Sensaura(tm) ZoomFX(tm): No

            Description: Speakers (Realtek(R) Audio)
 Default Sound Playback: No
 Default Voice Playback: No
            Hardware ID: HDAUDIO\FUNC_01&VEN_10EC&DEV_0887&SUBSYS_1458A182&REV_1003
        Manufacturer ID: 1
             Product ID: 100
                   Type: WDM
            Driver Name: RTKVHD64.sys
         Driver Version: 6.00.8688.0001 (English)
      Driver Attributes: Final Retail
            WHQL Logo'd: Yes
          Date and Size: 23/04/2019 00:00:00, 6834464 bytes
            Other Files: 
        Driver Provider: Realtek Semiconductor Corp.
         HW Accel Level: Basic
              Cap Flags: 0xF1F
    Min/Max Sample Rate: 100, 200000
Static/Strm HW Mix Bufs: 1, 0
 Static/Strm HW 3D Bufs: 0, 0
              HW Memory: 0
       Voice Management: No
 EAX(tm) 2.0 Listen/Src: No, No
   I3DL2(tm) Listen/Src: No, No
Sensaura(tm) ZoomFX(tm): No

            Description: CABLE Input (VB-Audio Virtual Cable)
 Default Sound Playback: No
 Default Voice Playback: No
            Hardware ID: VBAudioVACWDM
        Manufacturer ID: 1
             Product ID: 100
                   Type: WDM
            Driver Name: vbaudio_cable64_win7.sys
         Driver Version: 6.01.7600.16385 (English)
      Driver Attributes: Final Retail
            WHQL Logo'd: No
          Date and Size: 02/09/2014 00:00:00, 41192 bytes
            Other Files: 
        Driver Provider: VB-Audio Software
         HW Accel Level: Basic
              Cap Flags: 0xF1F
    Min/Max Sample Rate: 100, 200000
Static/Strm HW Mix Bufs: 1, 0
 Static/Strm HW 3D Bufs: 0, 0
              HW Memory: 0
       Voice Management: No
 EAX(tm) 2.0 Listen/Src: No, No
   I3DL2(tm) Listen/Src: No, No
Sensaura(tm) ZoomFX(tm): No

---------------------
Sound Capture Devices
---------------------
            Description: Microphone (3- USB Audio CODEC )
  Default Sound Capture: Yes
  Default Voice Capture: Yes
            Driver Name: USBAUDIO.sys
         Driver Version: 10.00.18362.0001 (English)
      Driver Attributes: Final Retail
          Date and Size: 3/19/2019 05:43:37, 198656 bytes
              Cap Flags: 0x1
           Format Flags: 0xFFFFF

            Description: CABLE Output (VB-Audio Virtual Cable)
  Default Sound Capture: No
  Default Voice Capture: No
            Driver Name: vbaudio_cable64_win7.sys
         Driver Version: 6.01.7600.16385 (English)
      Driver Attributes: Final Retail
          Date and Size: 9/2/2014 18:01:16, 41192 bytes
              Cap Flags: 0x1
           Format Flags: 0xFFFFF

---------------------
Video Capture Devices
Number of Devices: 0
---------------------
-------------------
DirectInput Devices
-------------------
      Device Name: Mouse
         Attached: 1
    Controller ID: n/a
Vendor/Product ID: n/a
        FF Driver: n/a

      Device Name: Keyboard
         Attached: 1
    Controller ID: n/a
Vendor/Product ID: n/a
        FF Driver: n/a

      Device Name: USB Audio CODEC 
         Attached: 1
    Controller ID: 0x0
Vendor/Product ID: 0x08BB, 0x2901
        FF Driver: n/a

      Device Name: USB Receiver
         Attached: 1
    Controller ID: 0x0
Vendor/Product ID: 0x046D, 0xC52B
        FF Driver: n/a

      Device Name: Virtual Keyboard Driver
         Attached: 1
    Controller ID: 0x0
Vendor/Product ID: 0x056A, 0x2001
        FF Driver: n/a

      Device Name: USB Receiver
         Attached: 1
    Controller ID: 0x0
Vendor/Product ID: 0x046D, 0xC52B
        FF Driver: n/a

      Device Name: USB Receiver
         Attached: 1
    Controller ID: 0x0
Vendor/Product ID: 0x046D, 0xC52B
        FF Driver: n/a

      Device Name: USB Receiver
         Attached: 1
    Controller ID: 0x0
Vendor/Product ID: 0x046D, 0xC52B
        FF Driver: n/a

      Device Name: USB Receiver
         Attached: 1
    Controller ID: 0x0
Vendor/Product ID: 0x046D, 0xC52B
        FF Driver: n/a

      Device Name: Comfort Curve Keyboard 3000
         Attached: 1
    Controller ID: 0x0
Vendor/Product ID: 0x045E, 0x0780
        FF Driver: n/a

      Device Name: USB Receiver
         Attached: 1
    Controller ID: 0x0
Vendor/Product ID: 0x046D, 0xC52B
        FF Driver: n/a

Poll w/ Interrupt: No

-----------
USB Devices
-----------
+ USB Root Hub (USB 3.0)
| Vendor/Product ID: 0x1022, 0x43D5
| Matching Device ID: USB\ROOT_HUB30
| Service: USBHUB3
| Driver: USBHUB3.SYS, 3/19/2019 05:43:43, 618296 bytes
| 
+-+ USB Composite Device
| | Vendor/Product ID: 0x046D, 0xC52B
| | Location: Port_#0011.Hub_#0001
| | Matching Device ID: USB\COMPOSITE
| | Service: usbccgp
| | Driver: usbccgp.sys, 3/19/2019 05:43:43, 183608 bytes
| | 
| +-+ Logitech USB Input Device
| | | Vendor/Product ID: 0x046D, 0xC52B
| | | Location: 0001.0000.0000.011.000.000.000.000.000
| | | Matching Device ID: usb\vid_046d&pid_c52b&mi_00
| | | Service: HidUsb
| | | Driver: hidusb.sys, 6/20/2019 15:58:17, 45568 bytes
| | | Driver: hidclass.sys, 6/20/2019 15:58:17, 211968 bytes
| | | Driver: hidparse.sys, 6/20/2019 15:58:17, 46080 bytes
| | | Driver: LogiLDA.DLL, 10/13/2016 22:55:24, 3942864 bytes
| | | Driver: LdaCx2.dll, 10/13/2016 22:55:18, 2468304 bytes
| | | Driver: msvcp110.dll, 7/19/2016 08:28:18, 662688 bytes
| | | Driver: msvcr110.dll, 7/19/2016 08:28:18, 850600 bytes
| | | Driver: vccorlib110.dll, 7/19/2016 08:28:18, 354480 bytes
| | | 
| | +-+ HID Keyboard Device
| | | | Vendor/Product ID: 0x046D, 0xC52B
| | | | Matching Device ID: HID_DEVICE_SYSTEM_KEYBOARD
| | | | Service: kbdhid
| | | | Driver: kbdhid.sys, 3/19/2019 05:43:43, 46592 bytes
| | | | Driver: kbdclass.sys, 3/19/2019 05:43:43, 70968 bytes
| | | 
| +-+ USB Input Device
| | | Vendor/Product ID: 0x046D, 0xC52B
| | | Location: 0001.0000.0000.011.000.000.000.000.000
| | | Matching Device ID: USB\Class_03&SubClass_01
| | | Service: HidUsb
| | | Driver: hidusb.sys, 6/20/2019 15:58:17, 45568 bytes
| | | Driver: hidclass.sys, 6/20/2019 15:58:17, 211968 bytes
| | | Driver: hidparse.sys, 6/20/2019 15:58:17, 46080 bytes
| | | 
| | +-+ HID-compliant mouse
| | | | Vendor/Product ID: 0x046D, 0xC52B
| | | | Matching Device ID: HID_DEVICE_SYSTEM_MOUSE
| | | | Service: mouhid
| | | | Driver: mouhid.sys, 3/19/2019 05:43:43, 35840 bytes
| | | | Driver: mouclass.sys, 3/19/2019 05:43:43, 66872 bytes
| | 
+-+ USB Composite Device
| | Vendor/Product ID: 0x045E, 0x0780
| | Location: Port_#0009.Hub_#0001
| | Matching Device ID: USB\COMPOSITE
| | Service: usbccgp
| | Driver: usbccgp.sys, 3/19/2019 05:43:43, 183608 bytes
| | 
| +-+ USB Input Device
| | | Vendor/Product ID: 0x045E, 0x0780
| | | Location: 0001.0000.0000.009.000.000.000.000.000
| | | Matching Device ID: USB\Class_03&SubClass_01
| | | Service: HidUsb
| | | Driver: hidusb.sys, 6/20/2019 15:58:17, 45568 bytes
| | | Driver: hidclass.sys, 6/20/2019 15:58:17, 211968 bytes
| | | Driver: hidparse.sys, 6/20/2019 15:58:17, 46080 bytes
| | | 
| | +-+ HID Keyboard Device
| | | | Vendor/Product ID: 0x045E, 0x0780
| | | | Matching Device ID: HID_DEVICE_SYSTEM_KEYBOARD
| | | | Service: kbdhid
| | | | Driver: kbdhid.sys, 3/19/2019 05:43:43, 46592 bytes
| | | | Driver: kbdclass.sys, 3/19/2019 05:43:43, 70968 bytes

----------------
Gameport Devices
----------------

------------
PS/2 Devices
------------
+ HID Keyboard Device
| Vendor/Product ID: 0x056A, 0x0000
| Matching Device ID: HID_DEVICE_SYSTEM_KEYBOARD
| Service: kbdhid
| Driver: kbdhid.sys, 3/19/2019 05:43:43, 46592 bytes
| Driver: kbdclass.sys, 3/19/2019 05:43:43, 70968 bytes

------------------------
Disk & DVD/CD-ROM Drives
------------------------
      Drive: C:
 Free Space: 65.9 GB
Total Space: 243.5 GB
File System: NTFS
      Model: Samsung SSD 840 PRO Series

      Drive: D:
 Free Space: 710.9 GB
Total Space: 1907.7 GB
File System: NTFS
      Model: TOSHIBA HDWA120

      Drive: E:
 Free Space: 109.3 GB
Total Space: 153.6 GB
File System: NTFS
      Model: ST500DM002-1BD142

      Drive: F:
 Free Space: 233.6 GB
Total Space: 322.7 GB
File System: NTFS
      Model: ST500DM002-1BD142

      Drive: G:
 Free Space: 0.1 GB
Total Space: 0.1 GB
File System: NTFS
      Model: Samsung SSD 840 PRO Series

      Drive: H:
 Free Space: 0.1 GB
Total Space: 0.1 GB
File System: FAT32
      Model: Samsung SSD 840 PRO Series

      Drive: J:
 Free Space: 617.0 GB
Total Space: 953.9 GB
File System: NTFS
      Model: SAMSUNG HD103SI USB Device

      Drive: K:
 Free Space: 0.2 GB
Total Space: 0.4 GB
File System: NTFS
      Model: Samsung SSD 840 PRO Series

      Drive: I:
      Model: HL-DT-ST DVDRAM GH24NSC0
     Driver: C:\WINDOWS\SYSTEM32\DRIVERS\CDROM.SYS, 10.00.18362.0001 (English), 3/19/2019 05:43:39, 173056 bytes

--------------
System Devices
--------------
     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1461&SUBSYS_00000000&REV_00\3&11583659&0&C1
   Driver: n/a

     Name: AMD USB 3.0 eXtensible Host Controller - 1.0 (Microsoft)
Device ID: PCI\VEN_1022&DEV_145C&SUBSYS_50071458&REV_00\4&C93BEE2&0&0339
   Driver: C:\Windows\system32\DRIVERS\USBXHCI.SYS, 10.00.18362.0207 (English), 7/10/2019 11:54:07, 531976 bytes
   Driver: C:\Windows\system32\DRIVERS\UMDF\UsbXhciCompanion.dll, 10.00.18362.0207 (English), 7/10/2019 11:54:07, 131960 bytes

     Name: Realtek PCIe GbE Family Controller #2
Device ID: PCI\VEN_10EC&DEV_8168&SUBSYS_E0001458&REV_0C\01000000684CE00000
   Driver: C:\Windows\system32\DRIVERS\rt640x64.sys, 10.31.0828.2018 (English), 10/23/2018 13:24:24, 1131024 bytes

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1464&SUBSYS_00000000&REV_00\3&11583659&0&C4
   Driver: n/a

     Name: Standard SATA AHCI Controller
Device ID: PCI\VEN_1022&DEV_7901&SUBSYS_B0021458&REV_51\4&2B9CC193&0&0241
   Driver: C:\Windows\system32\DRIVERS\storahci.sys, 10.00.18362.0001 (English), 3/19/2019 05:43:41, 174392 bytes

     Name: AMD SMBus
Device ID: PCI\VEN_1022&DEV_790B&SUBSYS_50011458&REV_59\3&11583659&0&A0
   Driver: n/a

     Name: AMD PSP 3.0 Device
Device ID: PCI\VEN_1022&DEV_1456&SUBSYS_14561022&REV_00\4&C93BEE2&0&0239
   Driver: C:\Windows\system32\DRIVERS\amdpsp.sys, 4.09.0000.0000 (English), 10/2/2018 21:18:16, 137688 bytes
   Driver: C:\Windows\system32\t-base_client_api.dll, 4.09.0000.0000 (English), 10/2/2018 21:18:24, 421448 bytes
   Driver: C:\Windows\SysWOW64\t-base_client_api.dll, 4.09.0000.0000 (English), 10/2/2018 21:18:22, 336456 bytes
   Driver: C:\Windows\system32\tbaseregistry64.dll, 4.06.0001.0001 (English), 10/2/2018 21:18:28, 466312 bytes
   Driver: C:\Windows\SysWOW64\tbaseregistry32.dll, 4.06.0001.0001 (English), 10/2/2018 21:18:26, 368008 bytes

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1467&SUBSYS_00000000&REV_00\3&11583659&0&C7
   Driver: n/a

     Name: PCI Express Root Port
Device ID: PCI\VEN_1022&DEV_1453&SUBSYS_14531022&REV_00\3&11583659&0&19
   Driver: C:\Windows\system32\DRIVERS\pci.sys, 10.00.18362.0418 (English), 10/9/2019 19:47:10, 436536 bytes

     Name: PCI Express Root Port
Device ID: PCI\VEN_1022&DEV_1453&SUBSYS_14531022&REV_00\3&11583659&0&0B
   Driver: C:\Windows\system32\DRIVERS\pci.sys, 10.00.18362.0418 (English), 10/9/2019 19:47:10, 436536 bytes

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1462&SUBSYS_00000000&REV_00\3&11583659&0&C2
   Driver: n/a

     Name: High Definition Audio Controller
Device ID: PCI\VEN_10DE&DEV_0FB9&SUBSYS_11BF196E&REV_A1\4&1C3D25BB&0&0119
   Driver: C:\Windows\system32\DRIVERS\hdaudbus.sys, 10.00.18362.0001 (English), 3/19/2019 05:43:37, 114688 bytes
   Driver: C:\Windows\system32\DRIVERS\drmk.sys, 10.00.18362.0001 (English), 3/19/2019 05:43:37, 98304 bytes
   Driver: C:\Windows\system32\DRIVERS\portcls.sys, 10.00.18362.0001 (English), 3/19/2019 05:43:37, 390656 bytes

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1465&SUBSYS_00000000&REV_00\3&11583659&0&C5
   Driver: n/a

     Name: Standard SATA AHCI Controller
Device ID: PCI\VEN_1022&DEV_43C8&SUBSYS_10621B21&REV_01\4&288C77C7&0&010B
   Driver: C:\Windows\system32\DRIVERS\storahci.sys, 10.00.18362.0001 (English), 3/19/2019 05:43:41, 174392 bytes

     Name: NVIDIA GeForce GTX 1050 Ti
Device ID: PCI\VEN_10DE&DEV_1C82&SUBSYS_11BF196E&REV_A1\4&1C3D25BB&0&0019
   Driver: C:\Windows\system32\DRIVERS\NVIDIA Corporation\Drs\dbInstaller.exe, 23.21.0013.9077 (English), 2/19/2018 00:46:40, 473544 bytes
   Driver: C:\Windows\system32\DRIVERS\NVIDIA Corporation\Drs\nvdrsdb.bin, 2/18/2018 20:19:06, 1473020 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\NvContainerSetup.exe, 1.00.0007.0000 (English), 2/19/2018 00:48:10, 4190592 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\NvCplSetupInt.exe, 1.00.0007.0000 (English), 2/19/2018 00:48:12, 101317592 bytes
   Driver: C:\Program Files (x86)\NVIDIA Corporation\coprocmanager\detoured.dll, 2.01.0000.0224 (English), 2/19/2018 00:48:28, 28616 bytes
   Driver: C:\Program Files (x86)\NVIDIA Corporation\coprocmanager\nvd3d9wrap.dll, 23.21.0013.9077 (English), 2/19/2018 00:41:52, 230608 bytes
   Driver: C:\Program Files (x86)\NVIDIA Corporation\coprocmanager\nvdxgiwrap.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:24, 154712 bytes
   Driver: C:\Program Files\NVIDIA Corporation\coprocmanager\detoured.dll, 2.01.0000.0224 (English), 2/19/2018 00:48:32, 28432 bytes
   Driver: C:\Program Files\NVIDIA Corporation\coprocmanager\nvd3d9wrapx.dll, 23.21.0013.9077 (English), 2/19/2018 00:41:56, 273704 bytes
   Driver: C:\Program Files\NVIDIA Corporation\coprocmanager\nvdxgiwrapx.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:28, 182088 bytes
   Driver: C:\Program Files\NVIDIA Corporation\license.txt, 2/18/2018 20:18:56, 27203 bytes
   Driver: C:\Program Files\NVIDIA Corporation\NVSMI\MCU.exe, 1.01.5204.20580 (English), 2/19/2018 00:47:16, 858056 bytes
   Driver: C:\Program Files\NVIDIA Corporation\NVSMI\nvdebugdump.exe, 6.14.0013.9077 (English), 2/19/2018 00:48:22, 427976 bytes
   Driver: C:\Program Files\NVIDIA Corporation\NVSMI\nvidia-smi.1.pdf, 2/18/2018 20:19:06, 78094 bytes
   Driver: C:\Program Files\NVIDIA Corporation\NVSMI\nvidia-smi.exe, 8.17.0013.9077 (English), 2/19/2018 00:49:24, 518600 bytes
   Driver: C:\Program Files\NVIDIA Corporation\NVSMI\nvml.dll, 8.17.0013.9077 (English), 2/19/2018 00:50:22, 926760 bytes
   Driver: C:\Program Files\NVIDIA Corporation\OpenCL\OpenCL.dll, 2.00.0004.0000 (English), 2/19/2018 00:53:10, 447432 bytes
   Driver: C:\Program Files\NVIDIA Corporation\OpenCL\OpenCL64.dll, 2.00.0004.0000 (English), 2/19/2018 00:53:12, 540712 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvlddmkm.sys, 23.21.0013.9077 (English), 2/19/2018 00:50:14, 17493832 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nv-vk64.json, 2/18/2018 20:18:56, 669 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvd3dumx.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:04, 19144200 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvd3dumx_cfg.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:10, 19536912 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvinitx.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:56, 208616 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvldumdx.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:00, 948688 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvoglshim64.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:12, 183808 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvoglv64.dll, 23.21.0013.9077 (English), 2/19/2018 00:50:46, 35413264 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvumdshimx.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:38, 591032 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvwgf2umx.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:48, 29171424 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvwgf2umx_cfg.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:56, 30009400 bytes
   Driver: C:\Windows\system32\NvFBC64.dll, 6.14.0013.9077 (English), 2/19/2018 00:48:44, 1135560 bytes
   Driver: C:\Windows\system32\NvIFR64.dll, 6.14.0013.9077 (English), 2/19/2018 00:49:50, 997136 bytes
   Driver: C:\Windows\system32\NvIFROpenGL.dll, 23.21.0013.9077 (English), 2/19/2018 00:49:56, 624904 bytes
   Driver: C:\Windows\system32\nvDecMFTMjpeg.dll, 23.21.0013.9077 (English), 2/19/2018 00:48:26, 749000 bytes
   Driver: C:\Windows\system32\nvEncMFTH264.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:34, 1345944 bytes
   Driver: C:\Windows\system32\nvEncMFThevc.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:38, 1355408 bytes
   Driver: C:\Windows\system32\nvEncodeAPI64.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:44, 811808 bytes
   Driver: C:\Windows\system32\nvapi64.dll, 23.21.0013.9077 (English), 2/19/2018 00:41:40, 4629768 bytes
   Driver: C:\Windows\system32\nvcompiler.dll, 23.21.0013.9077 (English), 2/19/2018 00:48:00, 40278472 bytes
   Driver: C:\Windows\system32\nvcuda.dll, 23.21.0013.9077 (English), 2/19/2018 00:41:48, 12964624 bytes
   Driver: C:\Windows\system32\nvcuvid.dll, 7.17.0013.9077 (English), 2/19/2018 00:48:18, 4317640 bytes
   Driver: C:\Windows\system32\nvfatbinaryLoader.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:50, 1153560 bytes
   Driver: C:\Windows\system32\nvinfo.pb, 2/18/2018 20:19:06, 48407 bytes
   Driver: C:\Windows\system32\nvmcumd.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:06, 633224 bytes
   Driver: C:\Windows\system32\nvopencl.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:20, 19978232 bytes
   Driver: C:\Windows\system32\nvptxJitCompiler.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:30, 13571008 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nv-vk32.json, 2/18/2018 20:18:56, 669 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvd3dum.dll, 23.21.0013.9077 (English), 2/19/2018 00:41:58, 15736672 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvd3dum_cfg.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:16, 16060840 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvinit.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:52, 182272 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvldumd.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:58, 790008 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvoglshim32.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:08, 155736 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvoglv32.dll, 23.21.0013.9077 (English), 2/19/2018 00:50:38, 27983816 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvumdshim.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:36, 508608 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvwgf2um.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:42, 24696432 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\nvwgf2um_cfg.dll, 23.21.0013.9077 (English), 2/19/2018 00:44:06, 25602632 bytes
   Driver: C:\Windows\SysWow64\NvFBC.dll, 6.14.0013.9077 (English), 2/19/2018 00:48:40, 1063368 bytes
   Driver: C:\Windows\SysWow64\NvIFR.dll, 6.14.0013.9077 (English), 2/19/2018 00:49:48, 948488 bytes
   Driver: C:\Windows\SysWow64\NvIFROpenGL.dll, 23.21.0013.9077 (English), 2/19/2018 00:49:54, 515528 bytes
   Driver: C:\Windows\SysWow64\nvDecMFTMjpeg.dll, 23.21.0013.9077 (English), 2/19/2018 00:48:24, 608016 bytes
   Driver: C:\Windows\SysWow64\nvEncMFTH264.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:30, 1061168 bytes
   Driver: C:\Windows\SysWow64\nvEncMFThevc.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:36, 1067560 bytes
   Driver: C:\Windows\SysWow64\nvEncodeAPI.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:42, 649728 bytes
   Driver: C:\Windows\SysWow64\nvapi.dll, 23.21.0013.9077 (English), 2/19/2018 00:41:36, 3937192 bytes
   Driver: C:\Windows\SysWow64\nvcompiler.dll, 23.21.0013.9077 (English), 2/19/2018 00:47:52, 35188680 bytes
   Driver: C:\Windows\SysWow64\nvcuda.dll, 23.21.0013.9077 (English), 2/19/2018 00:41:44, 11004448 bytes
   Driver: C:\Windows\SysWow64\nvcuvid.dll, 7.17.0013.9077 (English), 2/19/2018 00:48:16, 3718088 bytes
   Driver: C:\Windows\SysWow64\nvfatbinaryLoader.dll, 23.21.0013.9077 (English), 2/19/2018 00:42:46, 902280 bytes
   Driver: C:\Windows\SysWow64\nvopencl.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:14, 16602536 bytes
   Driver: C:\Windows\SysWow64\nvptxJitCompiler.dll, 23.21.0013.9077 (English), 2/19/2018 00:43:26, 11131368 bytes
   Driver: C:\Windows\System32\DriverStore\FileRepository\nv_ref_pubwu.inf_amd64_258f7a4f413a360c\VulkanRT-Installer.exe, 1.00.0065.0000 (English), 2/19/2018 00:53:32, 987960 bytes
   Driver: C:\Windows\system32\nvdispco6439077.dll, 2.00.0049.0004 (English), 2/19/2018 00:48:34, 1984784 bytes
   Driver: C:\Windows\system32\nvdispgenco6439077.dll, 2.00.0026.0002 (English), 2/19/2018 00:48:36, 1682280 bytes

     Name: AMD PCI
Device ID: PCI\VEN_1022&DEV_1455&SUBSYS_14551022&REV_00\4&2B9CC193&0&0041
   Driver: C:\Windows\system32\DRIVERS\AMDPCIDev.sys, 1.00.0000.0059 (English), 1/1/2019 17:07:44, 31712 bytes

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1460&SUBSYS_00000000&REV_00\3&11583659&0&C0
   Driver: n/a

     Name: PCI Express Downstream Switch Port
Device ID: PCI\VEN_1022&DEV_43C7&SUBSYS_33061B21&REV_01\5&27CB58C2&0&20020B
   Driver: C:\Windows\system32\DRIVERS\pci.sys, 10.00.18362.0418 (English), 10/9/2019 19:47:10, 436536 bytes

     Name: VIA USB 3.0 eXtensible Host Controller - 0.96 (Microsoft)
Device ID: PCI\VEN_1106&DEV_3432&SUBSYS_34321106&REV_03\6&692F63C&0&0020020B
   Driver: C:\Windows\system32\DRIVERS\USBXHCI.SYS, 10.00.18362.0207 (English), 7/10/2019 11:54:07, 531976 bytes
   Driver: C:\Windows\system32\DRIVERS\UMDF\UsbXhciCompanion.dll, 10.00.18362.0207 (English), 7/10/2019 11:54:07, 131960 bytes

     Name: PCI Express Downstream Switch Port
Device ID: PCI\VEN_1022&DEV_43C7&SUBSYS_33061B21&REV_01\5&27CB58C2&0&08020B
   Driver: C:\Windows\system32\DRIVERS\pci.sys, 10.00.18362.0418 (English), 10/9/2019 19:47:10, 436536 bytes

     Name: AMD PCI
Device ID: PCI\VEN_1022&DEV_145A&SUBSYS_145A1022&REV_00\4&C93BEE2&0&0039
   Driver: C:\Windows\system32\DRIVERS\AMDPCIDev.sys, 1.00.0000.0059 (English), 1/1/2019 17:07:44, 31712 bytes

     Name: AMD USB 3.10 eXtensible Host Controller - 1.10 (Microsoft)
Device ID: PCI\VEN_1022&DEV_43D5&SUBSYS_11421B21&REV_01\4&288C77C7&0&000B
   Driver: C:\Windows\system32\DRIVERS\USBXHCI.SYS, 10.00.18362.0207 (English), 7/10/2019 11:54:07, 531976 bytes
   Driver: C:\Windows\system32\DRIVERS\UMDF\UsbXhciCompanion.dll, 10.00.18362.0207 (English), 7/10/2019 11:54:07, 131960 bytes

     Name: PCI standard ISA bridge
Device ID: PCI\VEN_1022&DEV_790E&SUBSYS_50011458&REV_51\3&11583659&0&A3
   Driver: C:\Windows\system32\DRIVERS\msisadrv.sys, 10.00.18362.0267 (English), 8/15/2019 16:59:11, 19256 bytes

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1463&SUBSYS_00000000&REV_00\3&11583659&0&C3
   Driver: n/a

     Name: PCI Express Root Port
Device ID: PCI\VEN_1022&DEV_1454&SUBSYS_14541022&REV_00\3&11583659&0&41
   Driver: C:\Windows\system32\DRIVERS\pci.sys, 10.00.18362.0418 (English), 10/9/2019 19:47:10, 436536 bytes

     Name: PCI Express Root Port
Device ID: PCI\VEN_1022&DEV_1454&SUBSYS_14541022&REV_00\3&11583659&0&39
   Driver: C:\Windows\system32\DRIVERS\pci.sys, 10.00.18362.0418 (English), 10/9/2019 19:47:10, 436536 bytes

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1452&SUBSYS_00000000&REV_00\3&11583659&0&40
   Driver: n/a

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1452&SUBSYS_00000000&REV_00\3&11583659&0&38
   Driver: n/a

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1452&SUBSYS_00000000&REV_00\3&11583659&0&20
   Driver: n/a

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1452&SUBSYS_00000000&REV_00\3&11583659&0&18
   Driver: n/a

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1452&SUBSYS_00000000&REV_00\3&11583659&0&10
   Driver: n/a

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1452&SUBSYS_00000000&REV_00\3&11583659&0&08
   Driver: n/a

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1450&SUBSYS_14501022&REV_00\3&11583659&0&00
   Driver: n/a

     Name: PCI Express Downstream Switch Port
Device ID: PCI\VEN_1022&DEV_43C7&SUBSYS_33061B21&REV_01\5&27CB58C2&0&00020B
   Driver: C:\Windows\system32\DRIVERS\pci.sys, 10.00.18362.0418 (English), 10/9/2019 19:47:10, 436536 bytes

     Name: PCI standard host CPU bridge
Device ID: PCI\VEN_1022&DEV_1466&SUBSYS_00000000&REV_00\3&11583659&0&C6
   Driver: n/a

     Name: High Definition Audio Controller
Device ID: PCI\VEN_1022&DEV_1457&SUBSYS_A1821458&REV_00\4&2B9CC193&0&0341
   Driver: C:\Windows\system32\DRIVERS\hdaudbus.sys, 10.00.18362.0001 (English), 3/19/2019 05:43:37, 114688 bytes
   Driver: C:\Windows\system32\DRIVERS\drmk.sys, 10.00.18362.0001 (English), 3/19/2019 05:43:37, 98304 bytes
   Driver: C:\Windows\system32\DRIVERS\portcls.sys, 10.00.18362.0001 (English), 3/19/2019 05:43:37, 390656 bytes

     Name: PCI Express Upstream Switch Port
Device ID: PCI\VEN_1022&DEV_43C6&SUBSYS_02011B21&REV_01\4&288C77C7&0&020B
   Driver: C:\Windows\system32\DRIVERS\pci.sys, 10.00.18362.0418 (English), 10/9/2019 19:47:10, 436536 bytes

------------------
DirectShow Filters
------------------

DirectShow Filters:
WMAudio Decoder DMO,0x00800800,1,1,WMADMOD.DLL,10.00.18362.0145
WMAPro over S/PDIF DMO,0x00600800,1,1,WMADMOD.DLL,10.00.18362.0145
WMSpeech Decoder DMO,0x00600800,1,1,WMSPDMOD.DLL,10.00.18362.0001
MP3 Decoder DMO,0x00600800,1,1,mp3dmod.dll,10.00.18362.0001
Mpeg4s Decoder DMO,0x00800001,1,1,mp4sdecd.dll,10.00.18362.0001
WMV Screen decoder DMO,0x00600800,1,1,wmvsdecd.dll,10.00.18362.0001
WMVideo Decoder DMO,0x00800001,1,1,wmvdecod.dll,10.00.18362.0001
Mpeg43 Decoder DMO,0x00800001,1,1,mp43decd.dll,10.00.18362.0001
Mpeg4 Decoder DMO,0x00800001,1,1,mpg4decd.dll,10.00.18362.0001
DV Muxer,0x00400000,0,0,qdv.dll,10.00.18362.0001
Color Space Converter,0x00400001,1,1,quartz.dll,10.00.18362.0001
WM ASF Reader,0x00400000,0,0,qasf.dll,12.00.18362.0001
AVI Splitter,0x00600000,1,1,quartz.dll,10.00.18362.0001
VGA 16 Color Ditherer,0x00400000,1,1,quartz.dll,10.00.18362.0001
SBE2MediaTypeProfile,0x00200000,0,0,sbe.dll,10.00.18362.0001
Microsoft DTV-DVD Video Decoder,0x005fffff,2,4,msmpeg2vdec.dll,10.00.18362.0418
AC3 Parser Filter,0x00600000,1,1,mpg2splt.ax,10.00.18362.0001
StreamBufferSink,0x00200000,0,0,sbe.dll,10.00.18362.0001
MJPEG Decompressor,0x00600000,1,1,quartz.dll,10.00.18362.0001
MPEG-I Stream Splitter,0x00600000,1,2,quartz.dll,10.00.18362.0001
SAMI (CC) Parser,0x00400000,1,1,quartz.dll,10.00.18362.0001
VBI Codec,0x00600000,1,4,VBICodec.ax,10.00.18362.0001
MPEG-2 Splitter,0x005fffff,1,0,mpg2splt.ax,10.00.18362.0001
Closed Captions Analysis Filter,0x00200000,2,5,cca.dll,10.00.18362.0001
SBE2FileScan,0x00200000,0,0,sbe.dll,10.00.18362.0001
Microsoft MPEG-2 Video Encoder,0x00200000,1,1,msmpeg2enc.dll,10.00.18362.0001
Internal Script Command Renderer,0x00800001,1,0,quartz.dll,10.00.18362.0001
MPEG Audio Decoder,0x03680001,1,1,quartz.dll,10.00.18362.0001
DV Splitter,0x00600000,1,2,qdv.dll,10.00.18362.0001
Video Mixing Renderer 9,0x00200000,1,0,quartz.dll,10.00.18362.0001
Microsoft MPEG-2 Encoder,0x00200000,2,1,msmpeg2enc.dll,10.00.18362.0001
ACM Wrapper,0x00600000,1,1,quartz.dll,10.00.18362.0001
Video Renderer,0x00800001,1,0,quartz.dll,10.00.18362.0001
MPEG-2 Video Stream Analyzer,0x00200000,0,0,sbe.dll,10.00.18362.0001
Line 21 Decoder,0x00600000,1,1,,
Video Port Manager,0x00600000,2,1,quartz.dll,10.00.18362.0001
Video Renderer,0x00400000,1,0,quartz.dll,10.00.18362.0001
VPS Decoder,0x00200000,0,0,WSTPager.ax,10.00.18362.0001
WM ASF Writer,0x00400000,0,0,qasf.dll,12.00.18362.0001
VBI Surface Allocator,0x00600000,1,1,vbisurf.ax,
File writer,0x00200000,1,0,qcap.dll,10.00.18362.0001
DVD Navigator,0x00200000,0,3,qdvd.dll,10.00.18362.0001
Overlay Mixer2,0x00200000,1,1,,
AVI Draw,0x00600064,9,1,quartz.dll,10.00.18362.0001
Microsoft MPEG-2 Audio Encoder,0x00200000,1,1,msmpeg2enc.dll,10.00.18362.0001
WST Pager,0x00200000,1,1,WSTPager.ax,10.00.18362.0001
MPEG-2 Demultiplexer,0x00600000,1,1,mpg2splt.ax,10.00.18362.0001
DV Video Decoder,0x00800000,1,1,qdv.dll,10.00.18362.0001
SampleGrabber,0x00200000,1,1,qedit.dll,10.00.18362.0001
Null Renderer,0x00200000,1,0,qedit.dll,10.00.18362.0001
MPEG-2 Sections and Tables,0x005fffff,1,0,Mpeg2Data.ax,10.00.18362.0001
Microsoft AC3 Encoder,0x00200000,1,1,msac3enc.dll,10.00.18362.0001
StreamBufferSource,0x00200000,0,0,sbe.dll,10.00.18362.0001
Smart Tee,0x00200000,1,2,qcap.dll,10.00.18362.0001
Overlay Mixer,0x00200000,0,0,,
AVI Decompressor,0x00600000,1,1,quartz.dll,10.00.18362.0001
AVI/WAV File Source,0x00400000,0,2,quartz.dll,10.00.18362.0001
Wave Parser,0x00400000,1,1,quartz.dll,10.00.18362.0001
MIDI Parser,0x00400000,1,1,quartz.dll,10.00.18362.0001
Multi-file Parser,0x00400000,1,1,quartz.dll,10.00.18362.0001
File stream renderer,0x00400000,1,1,quartz.dll,10.00.18362.0001
Microsoft DTV-DVD Audio Decoder,0x005fffff,1,1,msmpeg2adec.dll,10.00.18362.0001
StreamBufferSink2,0x00200000,0,0,sbe.dll,10.00.18362.0001
AVI Mux,0x00200000,1,0,qcap.dll,10.00.18362.0001
Line 21 Decoder 2,0x00600002,1,1,quartz.dll,10.00.18362.0001
File Source (Async.),0x00400000,0,1,quartz.dll,10.00.18362.0001
File Source (URL),0x00400000,0,1,quartz.dll,10.00.18362.0001
Infinite Pin Tee Filter,0x00200000,1,1,qcap.dll,10.00.18362.0001
Enhanced Video Renderer,0x00200000,1,0,evr.dll,10.00.18362.0001
BDA MPEG2 Transport Information Filter,0x00200000,2,0,psisrndr.ax,10.00.18362.0001
MPEG Video Decoder,0x40000001,1,1,quartz.dll,10.00.18362.0001
Sony ExpressFX Chorus,0x00200000,1,1,sfxpfx2_x64.dll,1.01.0000.2475
Sony ExpressFX Delay,0x00200000,1,1,sfxpfx2_x64.dll,1.01.0000.2475
Sony ExpressFX Distortion,0x00200000,1,1,sfxpfx1_x64.dll,1.01.0000.2475
Sony ExpressFX Equalization,0x00200000,1,1,sfxpfx2_x64.dll,1.01.0000.2475
Sony ExpressFX Flange/Wah-Wah,0x00200000,1,1,sfxpfx1_x64.dll,1.01.0000.2475
Sony ExpressFX Amplitude Modulation,0x00200000,1,1,sfxpfx2_x64.dll,1.01.0000.2475
Sony ExpressFX Reverb,0x00200000,1,1,sfxpfx1_x64.dll,1.01.0000.2475
Sony ExpressFX Stutter,0x00200000,1,1,sfxpfx1_x64.dll,1.01.0000.2475
Sony ExpressFX Dynamics,0x00200000,1,1,sfxpfx3_x64.dll,1.01.0000.2475
Sony ExpressFX Graphic EQ,0x00200000,1,1,sfxpfx3_x64.dll,1.01.0000.2475
Sony ExpressFX Noise Gate,0x00200000,1,1,sfxpfx3_x64.dll,1.01.0000.2475
Sony ExpressFX Time Stretch,0x00200000,1,1,sfxpfx3_x64.dll,1.01.0000.2475
Sony ExpressFX Audio Restoration,0x00200000,1,1,xpvinyl_x64.dll,1.01.0000.2475
Sony Resonant Filter,0x00200000,1,1,sfresfilter_x64.dll,1.01.0000.2475

WDM Streaming Tee/Splitter Devices:
Tee/Sink-to-Sink Converter,0x00200000,1,1,ksproxy.ax,10.00.18362.0001

Video Compressors:
WMVideo8 Encoder DMO,0x00600800,1,1,wmvxencd.dll,10.00.18362.0001
WMVideo9 Encoder DMO,0x00600800,1,1,wmvencod.dll,10.00.18362.0001
MSScreen 9 encoder DMO,0x00600800,1,1,wmvsencd.dll,10.00.18362.0001
DV Video Encoder,0x00200000,0,0,qdv.dll,10.00.18362.0001
MJPEG Compressor,0x00200000,0,0,quartz.dll,10.00.18362.0001

Audio Compressors:
WM Speech Encoder DMO,0x00600800,1,1,WMSPDMOE.DLL,10.00.18362.0145
WMAudio Encoder DMO,0x00600800,1,1,WMADMOE.DLL,10.00.18362.0145
IMA ADPCM,0x00200000,1,1,quartz.dll,10.00.18362.0001
PCM,0x00200000,1,1,quartz.dll,10.00.18362.0001
Microsoft ADPCM,0x00200000,1,1,quartz.dll,10.00.18362.0001
GSM 6.10,0x00200000,1,1,quartz.dll,10.00.18362.0001
CCITT A-Law,0x00200000,1,1,quartz.dll,10.00.18362.0001
CCITT u-Law,0x00200000,1,1,quartz.dll,10.00.18362.0001
MPEG Layer-3,0x00200000,1,1,quartz.dll,10.00.18362.0001

Audio Capture Sources:
Microphone (3- USB Audio CODEC ),0x00200000,0,0,qcap.dll,10.00.18362.0001
CABLE Output (VB-Audio Virtual Cable),0x00200000,0,0,qcap.dll,10.00.18362.0001

PBDA CP Filters:
PBDA DTFilter,0x00600000,1,1,CPFilters.dll,10.00.18362.0418
PBDA ETFilter,0x00200000,0,0,CPFilters.dll,10.00.18362.0418
PBDA PTFilter,0x00200000,0,0,CPFilters.dll,10.00.18362.0418

Midi Renderers:
Default MidiOut Device,0x00800000,1,0,quartz.dll,10.00.18362.0001
Microsoft GS Wavetable Synth,0x00200000,1,0,quartz.dll,10.00.18362.0001

WDM Streaming Capture Devices:
Realtek HD Audio Stereo input,0x00200000,1,1,ksproxy.ax,10.00.18362.0001
Realtek HD Audio Mic input,0x00200000,1,1,ksproxy.ax,10.00.18362.0001
Realtek HD Audio Line input,0x00200000,1,1,ksproxy.ax,10.00.18362.0001
VB-Audio Point,0x00200000,2,2,ksproxy.ax,10.00.18362.0001
USB Audio CODEC ,0x00200000,2,2,ksproxy.ax,10.00.18362.0001
,0x00000000,0,0,,

WDM Streaming Rendering Devices:
,0x00000000,0,0,,
VB-Audio Point,0x00200000,2,2,ksproxy.ax,10.00.18362.0001
Realtek HDA SPDIF Out,0x00200000,1,1,ksproxy.ax,10.00.18362.0001
Realtek HD Audio output,0x00200000,1,1,ksproxy.ax,10.00.18362.0001
USB Audio CODEC ,0x00200000,2,2,ksproxy.ax,10.00.18362.0001

BDA Network Providers:
Microsoft ATSC Network Provider,0x00200000,0,1,MSDvbNP.ax,10.00.18362.0001
Microsoft DVBC Network Provider,0x00200000,0,1,MSDvbNP.ax,10.00.18362.0001
Microsoft DVBS Network Provider,0x00200000,0,1,MSDvbNP.ax,10.00.18362.0001
Microsoft DVBT Network Provider,0x00200000,0,1,MSDvbNP.ax,10.00.18362.0001
Microsoft Network Provider,0x00200000,0,1,MSNP.ax,10.00.18362.0001

Multi-Instance Capable VBI Codecs:
VBI Codec,0x00600000,1,4,VBICodec.ax,10.00.18362.0001

BDA Transport Information Renderers:
BDA MPEG2 Transport Information Filter,0x00600000,2,0,psisrndr.ax,10.00.18362.0001
MPEG-2 Sections and Tables,0x00600000,1,0,Mpeg2Data.ax,10.00.18362.0001

BDA CP/CA Filters:
Decrypt/Tag,0x00600000,1,1,msvidctl.dll,6.05.18362.0001
Encrypt/Tag,0x00200000,0,0,,
PTFilter,0x00200000,0,0,,
XDS Codec,0x00200000,0,0,,

WDM Streaming Communication Transforms:
Tee/Sink-to-Sink Converter,0x00200000,1,1,ksproxy.ax,10.00.18362.0001

Audio Renderers:
Speakers (3- USB Audio CODEC ),0x00200000,1,0,quartz.dll,10.00.18362.0001
Default DirectSound Device,0x00800000,1,0,quartz.dll,10.00.18362.0001
Default WaveOut Device,0x00200000,1,0,quartz.dll,10.00.18362.0001
DirectSound: Realtek Digital Output (Realtek(R) Audio),0x00200000,1,0,quartz.dll,10.00.18362.0001
DirectSound: DigitalOutput (2- NVIDIA High Definition Audio),0x00200000,1,0,quartz.dll,10.00.18362.0001
DirectSound: Speakers (3- USB Audio CODEC ),0x00200000,1,0,quartz.dll,10.00.18362.0001
DirectSound: Speakers (Realtek(R) Audio),0x00200000,1,0,quartz.dll,10.00.18362.0001
DirectSound: CABLE Input (VB-Audio Virtual Cable),0x00200000,1,0,quartz.dll,10.00.18362.0001
Realtek Digital Output (Realtek(R) Audio),0x00200000,1,0,quartz.dll,10.00.18362.0001
DigitalOutput (2- NVIDIA High Definition Audio),0x00200000,1,0,quartz.dll,10.00.18362.0001
Speakers (Realtek(R) Audio),0x00200000,1,0,quartz.dll,10.00.18362.0001
CABLE Input (VB-Audio Virtual Cable),0x00200000,1,0,quartz.dll,10.00.18362.0001


----------------------------
Preferred DirectShow Filters
----------------------------

[HKEY_LOCAL_MACHINE\Software\Microsoft\DirectShow\Preferred]

<media subtype GUID>, [<filter friendly name>, ]<filter CLSID>

MEDIASUBTYPE_DVD_LPCM_AUDIO, Microsoft DTV-DVD Audio Decoder, CLSID_CMPEG2AudDecoderDS
MEDIASUBTYPE_MPEG2_AUDIO, Microsoft DTV-DVD Audio Decoder, CLSID_CMPEG2AudDecoderDS
MEDIASUBTYPE_MPEG2_VIDEO, Microsoft DTV-DVD Video Decoder, CLSID_CMPEG2VidDecoderDS
{78766964-0000-0010-8000-00AA00389B71}, Mpeg4s Decoder DMO, CLSID_CMpeg4sDecMediaObject
{7634706D-0000-0010-8000-00AA00389B71}, Mpeg4s Decoder DMO, CLSID_CMpeg4sDecMediaObject
MEDIASUBTYPE_mp4s, Mpeg4s Decoder DMO, CLSID_CMpeg4sDecMediaObject
{64697678-0000-0010-8000-00AA00389B71}, Mpeg4s Decoder DMO, CLSID_CMpeg4sDecMediaObject
{58564944-0000-0010-8000-00AA00389B71}, Mpeg4s Decoder DMO, CLSID_CMpeg4sDecMediaObject
{5634504D-0000-0010-8000-00AA00389B71}, Mpeg4s Decoder DMO, CLSID_CMpeg4sDecMediaObject
MEDIASUBTYPE_MP4S, Mpeg4s Decoder DMO, CLSID_CMpeg4sDecMediaObject
MEDIASUBTYPE_WMVR, WMVideo Decoder DMO, CLSID_CWMVDecMediaObject
MEDIASUBTYPE_WMVP, WMVideo Decoder DMO, CLSID_CWMVDecMediaObject
{44495658-0000-0010-8000-00AA00389B71}, Mpeg4s Decoder DMO, CLSID_CMpeg4sDecMediaObject
MEDIASUBTYPE_WMVA, WMVideo Decoder DMO, CLSID_CWMVDecMediaObject
MEDIASUBTYPE_mpg4, Mpeg4 Decoder DMO, CLSID_CMpeg4DecMediaObject
MEDIASUBTYPE_MPG4, Mpeg4 Decoder DMO, CLSID_CMpeg4DecMediaObject
MEDIASUBTYPE_h264, Microsoft DTV-DVD Video Decoder, CLSID_CMPEG2VidDecoderDS
MEDIASUBTYPE_H264, Microsoft DTV-DVD Video Decoder, CLSID_CMPEG2VidDecoderDS
MEDIASUBTYPE_WMV3, WMVideo Decoder DMO, CLSID_CWMVDecMediaObject
MEDIASUBTYPE_mp43, Mpeg43 Decoder DMO, CLSID_CMpeg43DecMediaObject
MEDIASUBTYPE_MP43, Mpeg43 Decoder DMO, CLSID_CMpeg43DecMediaObject
MEDIASUBTYPE_m4s2, Mpeg4s Decoder DMO, CLSID_CMpeg4sDecMediaObject
MEDIASUBTYPE_WMV2, WMVideo Decoder DMO, CLSID_CWMVDecMediaObject
MEDIASUBTYPE_MSS2, WMV Screen decoder DMO, CLSID_CMSSCDecMediaObject
MEDIASUBTYPE_M4S2, Mpeg4s Decoder DMO, CLSID_CMpeg4sDecMediaObject
MEDIASUBTYPE_WVP2, WMVideo Decoder DMO, CLSID_CWMVDecMediaObject
MEDIASUBTYPE_mp42, Mpeg4 Decoder DMO, CLSID_CMpeg4DecMediaObject
MEDIASUBTYPE_MP42, Mpeg4 Decoder DMO, CLSID_CMpeg4DecMediaObject
MEDIASUBTYPE_WMV1, WMVideo Decoder DMO, CLSID_CWMVDecMediaObject
MEDIASUBTYPE_MSS1, WMV Screen decoder DMO, CLSID_CMSSCDecMediaObject
MEDIASUBTYPE_WVC1, WMVideo Decoder DMO, CLSID_CWMVDecMediaObject
MEDIASUBTYPE_AVC1, Microsoft DTV-DVD Video Decoder, CLSID_CMPEG2VidDecoderDS
MEDIASUBTYPE_MPEG_LOAS, Microsoft DTV-DVD Audio Decoder, CLSID_CMPEG2AudDecoderDS
MEDIASUBTYPE_MPEG_ADTS_AAC, Microsoft DTV-DVD Audio Decoder, CLSID_CMPEG2AudDecoderDS
MEDIASUBTYPE_WMAUDIO_LOSSLESS, WMAudio Decoder DMO, CLSID_CWMADecMediaObject
MEDIASUBTYPE_WMAUDIO3, WMAudio Decoder DMO, CLSID_CWMADecMediaObject
WMMEDIASUBTYPE_WMAudioV8, WMAudio Decoder DMO, CLSID_CWMADecMediaObject
MEDIASUBTYPE_MSAUDIO1, WMAudio Decoder DMO, CLSID_CWMADecMediaObject
MEDIASUBTYPE_RAW_AAC1, Microsoft DTV-DVD Audio Decoder, CLSID_CMPEG2AudDecoderDS
WMMEDIASUBTYPE_MP3, MP3 Decoder DMO, CLSID_CMP3DecMediaObject
MEDIASUBTYPE_MPEG1Payload, MPEG Video Decoder, CLSID_CMpegVideoCodec
MEDIASUBTYPE_MPEG1Packet, MPEG Video Decoder, CLSID_CMpegVideoCodec
{6C737664-0000-0010-8000-00AA00389B71}, DV Video Decoder, CLSID_DVVideoCodec
{64737664-0000-0010-8000-00AA00389B71}, DV Video Decoder, CLSID_DVVideoCodec
{64687664-0000-0010-8000-00AA00389B71}, DV Video Decoder, CLSID_DVVideoCodec
MEDIASUBTYPE_MJPG, MJPEG Decompressor, CLSID_MjpegDec
{20637664-0000-0010-8000-00AA00389B71}, DV Video Decoder, CLSID_DVVideoCodec
MEDIASUBTYPE_MPEG1AudioPayload, MPEG Audio Decoder, CLSID_CMpegAudioCodec
WMMEDIASUBTYPE_WMSP2, WMSpeech Decoder DMO, CLSID_CWMSPDecMediaObject
WMMEDIASUBTYPE_WMSP1, WMSpeech Decoder DMO, CLSID_CWMSPDecMediaObject


---------------------------
Media Foundation File Versions
---------------------------

  mfcore.dll, 10.00.18362.0418
  mfreadwrite.dll, 10.00.18362.0001
  mfcaptureengine.dll, 10.00.18362.0001
  mfsensorgroup.dll, 10.00.18362.0207
  windows.media.dll, 10.00.18362.0145
  frameserver.dll, 10.00.18362.0207
  fsclient.dll, 10.00.18362.0207


---------------------------
Media Foundation Transforms
---------------------------

[HKEY_LOCAL_MACHINE\Software\Classes\MediaFoundation\Transforms]

<category>:
  <transform friendly name>, <transform CLSID>, <flags>, [<merit>, ]<file name>, <file version>

Video Decoders:
  NVIDIA MJPEG Video Decoder MFT, {70F36578-2741-454F-B494-E8563DDD1CB4}, 0x4, 8, nvDecMFTMjpeg.dll, 23.21.0013.9077
  Microsoft MPEG Video Decoder MFT, {2D709E52-123F-49B5-9CBC-9AF5CDE28FB9}, 0x1, msmpeg2vdec.dll, 10.00.18362.0418
  DV Decoder MFT, {404A6DE5-D4D6-4260-9BC7-5A6CBD882432}, 0x1, mfdvdec.dll, 10.00.18362.0001
  Mpeg4s Decoder MFT, CLSID_CMpeg4sDecMFT, 0x1, mp4sdecd.dll, 10.00.18362.0001
  Microsoft H264 Video Decoder MFT, CLSID_CMSH264DecoderMFT, 0x1, msmpeg2vdec.dll, 10.00.18362.0418
  WMV Screen decoder MFT, CLSID_CMSSCDecMediaObject, 0x1, wmvsdecd.dll, 10.00.18362.0001
  WMVideo Decoder MFT, CLSID_CWMVDecMediaObject, 0x1, wmvdecod.dll, 10.00.18362.0001
  MJPEG Decoder MFT, {CB17E772-E1CC-4633-8450-5617AF577905}, 0x1, mfmjpegdec.dll, 10.00.18362.0001
  Mpeg43 Decoder MFT, CLSID_CMpeg43DecMediaObject, 0x1, mp43decd.dll, 10.00.18362.0001
  Mpeg4 Decoder MFT, CLSID_CMpeg4DecMediaObject, 0x1, mpg4decd.dll, 10.00.18362.0001
  HEIFImageExtension
  WebpImageExtension
  HEVCVideoExtension
  VP9VideoExtensionDecoder
Video Encoders:
  NVIDIA H.264 Encoder MFT, {60F44560-5A20-4857-BFEF-D29773CB8040}, 0x4, 8, nvEncMFTH264.dll, 23.21.0013.9077
  NVIDIA HEVC Encoder MFT, {966F107C-8EA2-425D-B822-E4A71BEF01D7}, 0x4, 8, nvEncMFThevc.dll, 23.21.0013.9077
  H264 Encoder MFT, {6CA50344-051A-4DED-9779-A43305165E35}, 0x1, mfh264enc.dll, 10.00.18362.0001
  WMVideo8 Encoder MFT, CLSID_CWMVXEncMediaObject, 0x1, wmvxencd.dll, 10.00.18362.0001
  H263 Encoder MFT, {BC47FCFE-98A0-4F27-BB07-698AF24F2B38}, 0x1, mfh263enc.dll, 10.00.18362.0001
  WMVideo9 Encoder MFT, CLSID_CWMV9EncMediaObject, 0x1, wmvencod.dll, 10.00.18362.0001
  Microsoft MPEG-2 Video Encoder MFT, {E6335F02-80B7-4DC4-ADFA-DFE7210D20D5}, 0x2, msmpeg2enc.dll, 10.00.18362.0001
  HEIFImageExtension
  HEVCVideoExtensionEncoder
  VP9VideoExtensionEncoder
Video Effects:
  Frame Rate Converter, CLSID_CFrameRateConvertDmo, 0x1, mfvdsp.dll, 10.00.18362.0001
  Resizer MFT, CLSID_CResizerDMO, 0x1, vidreszr.dll, 10.00.18362.0001
  VideoStabilization MFT, {51571744-7FE4-4FF2-A498-2DC34FF74F1B}, 0x1, MSVideoDSP.dll, 10.00.18362.0001
  Color Control, CLSID_CColorControlDmo, 0x1, mfvdsp.dll, 10.00.18362.0001
  Color Converter MFT, CLSID_CColorConvertDMO, 0x1, colorcnv.dll, 10.00.18362.0001
Video Processor:
  Microsoft Video Processor MFT, {88753B26-5B24-49BD-B2E7-0C445C78C982}, 0x1, msvproc.dll, 10.00.18362.0387
Audio Decoders:
  Microsoft Dolby Digital Plus Decoder MFT, {177C0AFE-900B-48D4-9E4C-57ADD250B3D4}, 0x1, DolbyDecMFT.dll, 10.00.18362.0418
  MS AMRNB Decoder MFT, {265011AE-5481-4F77-A295-ABB6FFE8D63E}, 0x1, MSAMRNBDecoder.dll, 10.00.18362.0001
  WMAudio Decoder MFT, CLSID_CWMADecMediaObject, 0x1, WMADMOD.DLL, 10.00.18362.0145
  Microsoft AAC Audio Decoder MFT, CLSID_CMSAACDecMFT, 0x1, MSAudDecMFT.dll, 10.00.18362.0175
  A-law Wrapper MFT, {36CB6E0C-78C1-42B2-9943-846262F31786}, 0x1, mfcore.dll, 10.00.18362.0418
  GSM ACM Wrapper MFT, {4A76B469-7B66-4DD4-BA2D-DDF244C766DC}, 0x1, mfcore.dll, 10.00.18362.0418
  WMAPro over S/PDIF MFT, CLSID_CWMAudioSpdTxDMO, 0x1, WMADMOD.DLL, 10.00.18362.0145
  Microsoft Opus Audio Decoder MFT, {63E17C10-2D43-4C42-8FE3-8D8B63E46A6A}, 0x1, MSOpusDecoder.dll, 10.00.18362.0001
  Microsoft FLAC Audio Decoder MFT, {6B0B3E6B-A2C5-4514-8055-AFE8A95242D9}, 0x1, MSFlacDecoder.dll, 10.00.18362.0001
  Microsoft MPEG Audio Decoder MFT, {70707B39-B2CA-4015-ABEA-F8447D22D88B}, 0x1, MSAudDecMFT.dll, 10.00.18362.0175
  WMSpeech Decoder DMO, CLSID_CWMSPDecMediaObject, 0x1, WMSPDMOD.DLL, 10.00.18362.0001
  G711 Wrapper MFT, {92B66080-5E2D-449E-90C4-C41F268E5514}, 0x1, mfcore.dll, 10.00.18362.0418
  IMA ADPCM ACM Wrapper MFT, {A16E1BFF-A80D-48AD-AECD-A35C005685FE}, 0x1, mfcore.dll, 10.00.18362.0418
  MP3 Decoder MFT, CLSID_CMP3DecMediaObject, 0x1, mp3dmod.dll, 10.00.18362.0001
  Microsoft ALAC Audio Decoder MFT, {C0CD7D12-31FC-4BBC-B363-7322EE3E1879}, 0x1, MSAlacDecoder.dll, 10.00.18362.0001
  ADPCM ACM Wrapper MFT, {CA34FE0A-5722-43AD-AF23-05F7650257DD}, 0x1, mfcore.dll, 10.00.18362.0418
  Dolby TrueHD IEC-61937 converter MFT, {CF5EEEDF-0E92-4B3B-A161-BD0FFE545E4B}, 0x1, mfaudiocnv.dll, 10.00.18362.0001
  DTS IEC-61937 converter MFT, {D035E24C-C877-42D7-A795-2A8A339B472F}, 0x1, mfaudiocnv.dll, 10.00.18362.0001
Audio Encoders:
  LPCM DVD-Audio MFT, {068A8476-9229-4CC0-9D49-2FC699DCD30A}, 0x1, mfaudiocnv.dll, 10.00.18362.0001
  MP3 Encoder ACM Wrapper MFT, {11103421-354C-4CCA-A7A3-1AFF9A5B6701}, 0x1, mfcore.dll, 10.00.18362.0418
  Microsoft FLAC Audio Encoder MFT, {128509E9-C44E-45DC-95E9-C255B8F466A6}, 0x1, MSFlacEncoder.dll, 10.00.18362.0001
  WM Speech Encoder DMO, CLSID_CWMSPEncMediaObject2, 0x1, WMSPDMOE.DLL, 10.00.18362.0145
  MS AMRNB Encoder MFT, {2FAE8AFE-04A3-423A-A814-85DB454712B0}, 0x1, MSAMRNBEncoder.dll, 10.00.18362.0001
  Microsoft MPEG-2 Audio Encoder MFT, {46A4DD5C-73F8-4304-94DF-308F760974F4}, 0x1, msmpeg2enc.dll, 10.00.18362.0001
  WMAudio Encoder MFT, CLSID_CWMAEncMediaObject, 0x1, WMADMOE.DLL, 10.00.18362.0145
  Microsoft AAC Audio Encoder MFT, {93AF0C51-2275-45D2-A35B-F2BA21CAED00}, 0x1, mfAACEnc.dll, 10.00.18362.0001
  Microsoft ALAC Audio Encoder MFT, {9AB6A28C-748E-4B6A-BFFF-CC443B8E8FB4}, 0x1, MSAlacEncoder.dll, 10.00.18362.0001
  Microsoft Dolby Digital Encoder MFT, {AC3315C9-F481-45D7-826C-0B406C1F64B8}, 0x1, msac3enc.dll, 10.00.18362.0001
Audio Effects:
  AEC, CLSID_CWMAudioAEC, 0x1, mfwmaaec.dll, 10.00.18362.0001
  Resampler MFT, CLSID_CResamplerMediaObject, 0x1, resampledmo.dll, 10.00.18362.0001
Multiplexers:
  Microsoft MPEG2 Multiplexer MFT, {AB300F71-01AB-46D2-AB6C-64906CB03258}, 0x2, mfmpeg2srcsnk.dll, 10.00.18362.0418
Others:
  Microsoft H264 Video Remux (MPEG2TSToMP4) MFT, {05A47EBB-8BF0-4CBF-AD2F-3B71D75866F5}, 0x1, msmpeg2vdec.dll, 10.00.18362.0418


--------------------------------------------
Media Foundation Enabled Hardware Categories
--------------------------------------------

[HKEY_LOCAL_MACHINE\Software\Microsoft\Windows Media Foundation\HardwareMFT]

EnableDecoders = 1
EnableEncoders = 1


-------------------------------------
Media Foundation Byte Stream Handlers
-------------------------------------

[HKEY_LOCAL_MACHINE\Software\Microsoft\Windows Media Foundation\ByteStreamHandlers]
[HKEY_LOCAL_MACHINE\Software\Classes\MediaFoundation\MediaSources\Preferred]

<file ext. or MIME type>, <handler CLSID>, <brief description>[, Preferred]

.3g2, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
.3gp, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
.3gp2, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
.3gpp, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
.aac, {926F41F7-003E-4382-9E84-9E953BE10562}, ADTS Byte Stream Handler, Preferred
.ac3, {46031BA1-083F-47D9-8369-23C92BDAB2FF}, AC-3 Byte Stream Handler, Preferred
.adt, {926F41F7-003E-4382-9E84-9E953BE10562}, ADTS Byte Stream Handler, Preferred
.adts, {926F41F7-003E-4382-9E84-9E953BE10562}, ADTS Byte Stream Handler, Preferred
.am?, {EFE6208A-0A2C-49FA-8A01-3768B559B6DA}, MF AMRNB Media Source ByteStreamHandler
.amr, {EFE6208A-0A2C-49FA-8A01-3768B559B6DA}, MF AMRNB Media Source ByteStreamHandler, Preferred
.asf, {41457294-644C-4298-A28A-BD69F2C0CF3B}, ASF Byte Stream Handler, Preferred
.avi, {7AFA253E-F823-42F6-A5D9-714BDE467412}, AVI Byte Stream Handler, Preferred
.dvr-ms, {A8721937-E2FB-4D7A-A9EE-4EB08C890B6E}, MF SBE Source ByteStreamHandler
.dvr-ms, {65964407-A5D8-4060-85B0-1CCD63F768E2}, dvr-ms Byte Stream Handler, Preferred
.ec3, {46031BA1-083F-47D9-8369-23C92BDAB2FF}, AC-3 Byte Stream Handler, Preferred
.flac, {0E41CFB8-0506-40F4-A516-77CC23642D91}, MF FLAC Media Source ByteStreamHandler, Preferred
.m2t, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
.m2ts, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
.m4a, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
.m4v, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
.mk3d, {1F9A2C18-D89E-463E-B4F4-BB90152ACC64}, MKV Byte Stream Handler, Preferred
.mka, {1F9A2C18-D89E-463E-B4F4-BB90152ACC64}, MKV Byte Stream Handler, Preferred
.mks, {1F9A2C18-D89E-463E-B4F4-BB90152ACC64}, MKV Byte Stream Handler, Preferred
.mkv, {1F9A2C18-D89E-463E-B4F4-BB90152ACC64}, MKV Byte Stream Handler, Preferred
.mod, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
.mov, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
.mp2v, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
.mp3, {A82E50BA-8E92-41EB-9DF2-433F50EC2993}, MP3 Byte Stream Handler, Preferred
.mp4, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
.mp4v, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
.mpa, {A82E50BA-8E92-41EB-9DF2-433F50EC2993}, MP3 Byte Stream Handler, Preferred
.mpeg, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
.mpg, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
.mts, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
.nsc, {B084785C-DDE0-4D30-8CA8-05A373E185BE}, NSC Byte Stream Handler, Preferred
.sami, {7A56C4CB-D678-4188-85A8-BA2EF68FA10D}, SAMI Byte Stream Handler, Preferred
.smi, {7A56C4CB-D678-4188-85A8-BA2EF68FA10D}, SAMI Byte Stream Handler, Preferred
.tod, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
.ts, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
.tts, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
.uvu, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
.vob, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
.wav, {42C9B9F5-16FC-47EF-AF22-DA05F7C842E3}, WAV Byte Stream Handler, Preferred
.weba, {1F9A2C18-D89E-463E-B4F4-BB90152ACC64}, WEBM Byte Stream Handler, Preferred
.webm, {1F9A2C18-D89E-463E-B4F4-BB90152ACC64}, WEBM Byte Stream Handler, Preferred
.wm, {41457294-644C-4298-A28A-BD69F2C0CF3B}, ASF Byte Stream Handler, Preferred
.wma, {41457294-644C-4298-A28A-BD69F2C0CF3B}, ASF Byte Stream Handler, Preferred
.wmv, {41457294-644C-4298-A28A-BD69F2C0CF3B}, ASF Byte Stream Handler, Preferred
.wtv, {65964407-A5D8-4060-85B0-1CCD63F768E2}, WTV Byte Stream Handler, Preferred
audio/3gpp, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
audio/3gpp2, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
audio/aac, {926F41F7-003E-4382-9E84-9E953BE10562}, ADTS Byte Stream Handler, Preferred
audio/aacp, {926F41F7-003E-4382-9E84-9E953BE10562}, ADTS Byte Stream Handler, Preferred
audio/eac3, {46031BA1-083F-47D9-8369-23C92BDAB2FF}, AC-3 Byte Stream Handler, Preferred
audio/flac, {0E41CFB8-0506-40F4-A516-77CC23642D91}, MF FLAC Media Source ByteStreamHandler, Preferred
audio/L16, {3FFB3B8C-EB99-472B-8902-E1C1B05F07CF}, LPCM Byte Stream Handler, Preferred
audio/mp3, {A82E50BA-8E92-41EB-9DF2-433F50EC2993}, MP3 Byte Stream Handler, Preferred
audio/mp4, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
audio/MP4A-LATM, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
audio/mpa, {A82E50BA-8E92-41EB-9DF2-433F50EC2993}, MP3 Byte Stream Handler, Preferred
audio/mpeg, {A82E50BA-8E92-41EB-9DF2-433F50EC2993}, MP3 Byte Stream Handler, Preferred
audio/mpeg3, {A82E50BA-8E92-41EB-9DF2-433F50EC2993}, MP3 Byte Stream Handler, Preferred
audio/vnd.dlna.adts, {926F41F7-003E-4382-9E84-9E953BE10562}, ADTS Byte Stream Handler, Preferred
audio/vnd.dolby.dd-raw, {46031BA1-083F-47D9-8369-23C92BDAB2FF}, AC-3 Byte Stream Handler, Preferred
audio/wav, {42C9B9F5-16FC-47EF-AF22-DA05F7C842E3}, WAV Byte Stream Handler, Preferred
audio/webm, {1F9A2C18-D89E-463E-B4F4-BB90152ACC64}, WEBM Byte Stream Handler, Preferred
audio/x-aac, {926F41F7-003E-4382-9E84-9E953BE10562}, ADTS Byte Stream Handler, Preferred
audio/x-flac, {0E41CFB8-0506-40F4-A516-77CC23642D91}, MF FLAC Media Source ByteStreamHandler, Preferred
audio/x-m4a, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
audio/x-matroska, {1F9A2C18-D89E-463E-B4F4-BB90152ACC64}, MKV Byte Stream Handler, Preferred
audio/x-mp3, {A82E50BA-8E92-41EB-9DF2-433F50EC2993}, MP3 Byte Stream Handler, Preferred
audio/x-mpeg, {A82E50BA-8E92-41EB-9DF2-433F50EC2993}, MP3 Byte Stream Handler, Preferred
audio/x-ms-wma, {41457294-644C-4298-A28A-BD69F2C0CF3B}, ASF Byte Stream Handler, Preferred
audio/x-wav, {42C9B9F5-16FC-47EF-AF22-DA05F7C842E3}, WAV Byte Stream Handler, Preferred
video/3gpp, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
video/3gpp2, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
video/avi, {7AFA253E-F823-42F6-A5D9-714BDE467412}, AVI Byte Stream Handler, Preferred
video/mp4, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
video/mpeg, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
video/msvideo, {7AFA253E-F823-42F6-A5D9-714BDE467412}, AVI Byte Stream Handler, Preferred
video/vnd.dece.mp4, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
video/vnd.dlna.mpeg-tts, {40871C59-AB40-471F-8DC3-1F259D862479}, MPEG2 Byte Stream Handler, Preferred
video/webm, {1F9A2C18-D89E-463E-B4F4-BB90152ACC64}, WEBM Byte Stream Handler, Preferred
video/x-m4v, {271C3902-6095-4C45-A22F-20091816EE9E}, MPEG4 Byte Stream Handler, Preferred
video/x-matroska, {1F9A2C18-D89E-463E-B4F4-BB90152ACC64}, MKV Byte Stream Handler, Preferred
video/x-ms-asf, {41457294-644C-4298-A28A-BD69F2C0CF3B}, ASF Byte Stream Handler, Preferred
video/x-ms-wm, {41457294-644C-4298-A28A-BD69F2C0CF3B}, ASF Byte Stream Handler, Preferred
video/x-ms-wmv, {41457294-644C-4298-A28A-BD69F2C0CF3B}, ASF Byte Stream Handler, Preferred
video/x-msvideo, {7AFA253E-F823-42F6-A5D9-714BDE467412}, AVI Byte Stream Handler, Preferred


--------------------------------
Media Foundation Scheme Handlers
--------------------------------

[HKEY_LOCAL_MACHINE\Software\Microsoft\Windows Media Foundation\SchemeHandlers]
[HKEY_LOCAL_MACHINE\Software\Classes\MediaFoundation\MediaSources\Preferred]

<URL type>, <handler CLSID>, <brief description>[, Preferred]

file:, {477EC299-1421-4BDD-971F-7CCB933F21AD}, File Scheme Handler, Preferred
http:, {44CB442B-9DA9-49DF-B3FD-023777B16E50}, Http Scheme Handler
http:, {9EC4B4F9-3029-45AD-947B-344DE2A249E2}, Urlmon Scheme Handler
http:, {E9F4EBAB-D97B-463E-A2B1-C54EE3F9414D}, Net Scheme Handler, Preferred
httpd:, {44CB442B-9DA9-49DF-B3FD-023777B16E50}, Http Scheme Handler, Preferred
https:, {37A61C8B-7F8E-4D08-B12B-248D73E9AB4F}, Secure Http Scheme Handler, Preferred
httpsd:, {37A61C8B-7F8E-4D08-B12B-248D73E9AB4F}, Secure Http Scheme Handler, Preferred
httpt:, {E9F4EBAB-D97B-463E-A2B1-C54EE3F9414D}, Net Scheme Handler, Preferred
httpu:, {E9F4EBAB-D97B-463E-A2B1-C54EE3F9414D}, Net Scheme Handler, Preferred
mcast:, {E9F4EBAB-D97B-463E-A2B1-C54EE3F9414D}, Net Scheme Handler, Preferred
mcrecv:, {FA6D33D4-9405-4BA5-9983-12604AC8E77A}, Miracast Sink Scheme Handler, Preferred
mms:, {E9F4EBAB-D97B-463E-A2B1-C54EE3F9414D}, Net Scheme Handler, Preferred
ms-appdata:, {CFC81939-3886-4ACF-9692-DA58037AE716}, MsAppData Scheme Handler, Preferred
ms-appx-web:, {8DB0224B-3D65-4F6F-8E12-BEB4B78B8974}, MsAppxWeb Scheme Handler, Preferred
ms-appx:, {8DB0224B-3D65-4F6F-8E12-BEB4B78B8974}, MsAppx Scheme Handler, Preferred
ms-winsoundevent:, {F79A6BF9-7415-4CF3-AE10-4559509ABC3C}, Sound Event Scheme Handler, Preferred
rtsp:, {E9F4EBAB-D97B-463E-A2B1-C54EE3F9414D}, Net Scheme Handler, Preferred
rtsps:, {E9F4EBAB-D97B-463E-A2B1-C54EE3F9414D}, Net Scheme Handler, Preferred
rtspt:, {E9F4EBAB-D97B-463E-A2B1-C54EE3F9414D}, Net Scheme Handler, Preferred
rtspu:, {E9F4EBAB-D97B-463E-A2B1-C54EE3F9414D}, Net Scheme Handler, Preferred
sdp:, {E9F4EBAB-D97B-463E-A2B1-C54EE3F9414D}, Net Scheme Handler, Preferred


-------------------------------------
Preferred Media Foundation Transforms
-------------------------------------

[HKEY_LOCAL_MACHINE\Software\Classes\MediaFoundation\Transforms\Preferred]

<media subtype GUID>, [<transform friendly name>, ]<transform CLSID>

{EB27CEC4-163E-4CA3-8B74-8E25F91B517E}, Dolby TrueHD IEC-61937 converter MFT, {CF5EEEDF-0E92-4B3B-A161-BD0FFE545E4B}
{E06D802C-DB46-11CF-B4D1-00805F6CBBEA}, Microsoft Dolby Digital Plus Decoder MFT, {177C0AFE-900B-48D4-9E4C-57ADD250B3D4}
MFVideoFormat_MPEG2, Microsoft MPEG Video Decoder MFT, {2D709E52-123F-49B5-9CBC-9AF5CDE28FB9}
MEDIASUBTYPE_DOLBY_DDPLUS, Microsoft Dolby Digital Plus Decoder MFT, {177C0AFE-900B-48D4-9E4C-57ADD250B3D4}
{A61AC364-AD0E-4744-89FF-213CE0DF8804}, DTS IEC-61937 converter MFT, {D035E24C-C877-42D7-A795-2A8A339B472F}
{A2E58EB7-0FA9-48BB-A40C-FA0E156D0645}, DTS IEC-61937 converter MFT, {D035E24C-C877-42D7-A795-2A8A339B472F}
{7634706D-0000-0010-8000-00AA00389B71}, Mpeg4s Decoder MFT, CLSID_CMpeg4sDecMFT
{73616D72-767A-494D-B478-F29D25DC9037}, MS AMRNB Decoder MFT, {265011AE-5481-4F77-A295-ABB6FFE8D63E}
MEDIASUBTYPE_mp4s, Mpeg4s Decoder MFT, CLSID_CMpeg4sDecMFT
MFVideoFormat_DVSL, DV Decoder MFT, {404A6DE5-D4D6-4260-9BC7-5A6CBD882432}
MFVideoFormat_DVSD, DV Decoder MFT, {404A6DE5-D4D6-4260-9BC7-5A6CBD882432}
MFVideoFormat_DVHD, DV Decoder MFT, {404A6DE5-D4D6-4260-9BC7-5A6CBD882432}
{63616C61-0000-0010-8000-00AA00389B71}, Microsoft ALAC Audio Decoder MFT, {C0CD7D12-31FC-4BBC-B363-7322EE3E1879}
MFVideoFormat_MP4V, Mpeg4s Decoder MFT, CLSID_CMpeg4sDecMFT
MFVideoFormat_MP4S, Mpeg4s Decoder MFT, CLSID_CMpeg4sDecMFT
{53314356-0000-0010-8000-00AA00389B71}, WMVideo Decoder MFT, CLSID_CWMVDecMediaObject
MEDIASUBTYPE_WMVR, WMVideo Decoder MFT, CLSID_CWMVDecMediaObject
MEDIASUBTYPE_WMVP, WMVideo Decoder MFT, CLSID_CWMVDecMediaObject
MFVideoFormat_MJPG, MJPEG Decoder MFT, {CB17E772-E1CC-4633-8450-5617AF577905}
MEDIASUBTYPE_WMVA, WMVideo Decoder MFT, CLSID_CWMVDecMediaObject
{3F40F4F0-5622-4FF8-B6D8-A17A584BEE5E}, Microsoft H264 Video Decoder MFT, CLSID_CMSH264DecoderMFT
MEDIASUBTYPE_mpg4, Mpeg4 Decoder MFT, CLSID_CMpeg4DecMediaObject
MEDIASUBTYPE_MPG4, Mpeg4 Decoder MFT, CLSID_CMpeg4DecMediaObject
MFVideoFormat_H264, Microsoft H264 Video Decoder MFT, CLSID_CMSH264DecoderMFT
MFVideoFormat_WMV3, WMVideo Decoder MFT, CLSID_CWMVDecMediaObject
{33363248-0000-0010-8000-00AA00389B71}, Mpeg4s Decoder MFT, CLSID_CMpeg4sDecMFT
MEDIASUBTYPE_mp43, Mpeg43 Decoder MFT, CLSID_CMpeg43DecMediaObject
MFVideoFormat_MP43, Mpeg43 Decoder MFT, CLSID_CMpeg43DecMediaObject
MEDIASUBTYPE_m4s2, Mpeg4s Decoder MFT, CLSID_CMpeg4sDecMFT
MFVideoFormat_WMV2, WMVideo Decoder MFT, CLSID_CWMVDecMediaObject
MFVideoFormat_MSS2, WMV Screen decoder MFT, CLSID_CMSSCDecMediaObject
MFVideoFormat_M4S2, Mpeg4s Decoder MFT, CLSID_CMpeg4sDecMFT
MEDIASUBTYPE_WVP2, WMVideo Decoder MFT, CLSID_CWMVDecMediaObject
MEDIASUBTYPE_mp42, Mpeg4 Decoder MFT, CLSID_CMpeg4DecMediaObject
MEDIASUBTYPE_MP42, Mpeg4 Decoder MFT, CLSID_CMpeg4DecMediaObject
MFVideoFormat_WMV1, WMVideo Decoder MFT, CLSID_CWMVDecMediaObject
MFVideoFormat_MSS1, WMV Screen decoder MFT, CLSID_CMSSCDecMediaObject
MFVideoFormat_MPG1, Microsoft MPEG Video Decoder MFT, {2D709E52-123F-49B5-9CBC-9AF5CDE28FB9}
MFVideoFormat_WVC1, WMVideo Decoder MFT, CLSID_CWMVDecMediaObject
MFVideoFormat_DVC, DV Decoder MFT, {404A6DE5-D4D6-4260-9BC7-5A6CBD882432}
{0000F1AC-0000-0010-8000-00AA00389B71}, Microsoft FLAC Audio Decoder MFT, {6B0B3E6B-A2C5-4514-8055-AFE8A95242D9}
{00007361-0000-0010-8000-00AA00389B71}, MS AMRNB Decoder MFT, {265011AE-5481-4F77-A295-ABB6FFE8D63E}
{0000704F-0000-0010-8000-00AA00389B71}, Microsoft Opus Audio Decoder MFT, {63E17C10-2D43-4C42-8FE3-8D8B63E46A6A}
{00006C61-0000-0010-8000-00AA00389B71}, Microsoft ALAC Audio Decoder MFT, {C0CD7D12-31FC-4BBC-B363-7322EE3E1879}
{00002001-0000-0010-8000-00AA00389B71}, DTS IEC-61937 converter MFT, {D035E24C-C877-42D7-A795-2A8A339B472F}
{00002000-0000-0010-8000-00AA00389B71}, Microsoft Dolby Digital Plus Decoder MFT, {177C0AFE-900B-48D4-9E4C-57ADD250B3D4}
MFAudioFormat_AAC, Microsoft AAC Audio Decoder MFT, CLSID_CMSAACDecMFT
MFAudioFormat_ADTS, Microsoft AAC Audio Decoder MFT, CLSID_CMSAACDecMFT
MFAudioFormat_WMAudio_Lossless, WMAudio Decoder MFT, CLSID_CWMADecMediaObject
MFAudioFormat_WMAudioV9, WMAudio Decoder MFT, CLSID_CWMADecMediaObject
MFAudioFormat_WMAudioV8, WMAudio Decoder MFT, CLSID_CWMADecMediaObject
MEDIASUBTYPE_MSAUDIO1, WMAudio Decoder MFT, CLSID_CWMADecMediaObject
MEDIASUBTYPE_RAW_AAC1, Microsoft AAC Audio Decoder MFT, CLSID_CMSAACDecMFT
MFAudioFormat_MP3, MP3 Decoder MFT, CLSID_CMP3DecMediaObject
MFAudioFormat_MPEG, Microsoft MPEG Audio Decoder MFT, {70707B39-B2CA-4015-ABEA-F8447D22D88B}
{00000031-0000-0010-8000-00AA00389B71}, GSM ACM Wrapper MFT, {4A76B469-7B66-4DD4-BA2D-DDF244C766DC}
{00000011-0000-0010-8000-00AA00389B71}, IMA ADPCM ACM Wrapper MFT, {A16E1BFF-A80D-48AD-AECD-A35C005685FE}
KSDATAFORMAT_SUBTYPE_MULAW, G711 Wrapper MFT, {92B66080-5E2D-449E-90C4-C41F268E5514}
{00000006-0000-0010-8000-00AA00389B71}, A-law Wrapper MFT, {36CB6E0C-78C1-42B2-9943-846262F31786}
KSDATAFORMAT_SUBTYPE_ADPCM, ADPCM ACM Wrapper MFT, {CA34FE0A-5722-43AD-AF23-05F7650257DD}
WMMEDIASUBTYPE_WMSP2, WMSpeech Decoder DMO, CLSID_CWMSPDecMediaObject
MFAudioFormat_MSP1, WMSpeech Decoder DMO, CLSID_CWMSPDecMediaObject


-------------------------------------
Disabled Media Foundation Transforms
-------------------------------------

[HKEY_LOCAL_MACHINE\Software\Classes\MediaFoundation\Transforms\DoNotUse]

<transform CLSID>



------------------------
Disabled Media Sources
------------------------

[HKEY_LOCAL_MACHINE\Software\Classes\MediaFoundation\MediaSources\DoNotUse]

<media source CLSID>


---------------
EVR Power Information
---------------
Current Setting: {5C67A112-A4C9-483F-B4A7-1D473BECAFDC} (Quality) 
  Quality Flags: 2576
    Enabled:
    Force throttling
    Allow half deinterlace
    Allow scaling
    Decode Power Usage: 100
  Balanced Flags: 1424
    Enabled:
    Force throttling
    Allow batching
    Force half deinterlace
    Force scaling
    Decode Power Usage: 50
  PowerFlags: 1424
    Enabled:
    Force throttling
    Allow batching
    Force half deinterlace
    Force scaling
    Decode Power Usage: 0

---------------
Diagnostics
---------------

Windows Error Reporting:
+++ WER0 +++:
Fault bucket , type 0
Event Name: LiveKernelEvent
Response: Not available
Cab Id: 0

Problem signature:
P1: 144
P2: 3003
P3: ffff840572a586b0
P4: 40010001
P5: 0
P6: 10_0_18362
P7: 0_0
P8: 768_1
P9: 
P10: 


+++ WER1 +++:
Fault bucket , type 0
Event Name: LiveKernelEvent
Response: Not available
Cab Id: 0

Problem signature:
P1: 144
P2: 3003
P3: ffff840572a586b0
P4: 40010001
P5: 0
P6: 10_0_18362
P7: 0_0
P8: 768_1
P9: 
P10: 


+++ WER2 +++:
Fault bucket -695006955, type 1
Event Name: APPCRASH
Response: Not available
Cab Id: 0

Problem signature:
P1: atkexComSvc.exe
P2: 0.0.0.0
P3: 00000000
P4: atkexComSvc.exe
P5: 0.0.0.0
P6: 00000000
P7: c0000005
P8: 0000ed78
P9: 
P10: 


+++ WER3 +++:
Fault bucket -695006955, type 1
Event Name: APPCRASH
Response: Not available
Cab Id: 0

Problem signature:
P1: atkexComSvc.exe
P2: 0.0.0.0
P3: 00000000
P4: atkexComSvc.exe
P5: 0.0.0.0
P6: 00000000
P7: c0000005
P8: 0000ed78
P9: 
P10: 


+++ WER4 +++:
Fault bucket , type 0
Event Name: LiveKernelEvent
Response: Not available
Cab Id: 0

Problem signature:
P1: 144
P2: 3003
P3: fffff989ccec36b0
P4: 40010001
P5: 0
P6: 10_0_18362
P7: 0_0
P8: 768_1
P9: 
P10: 


+++ WER5 +++:
Fault bucket , type 0
Event Name: LiveKernelEvent
Response: Not available
Cab Id: 0

Problem signature:
P1: 144
P2: 3003
P3: fffff989ccec36b0
P4: 40010001
P5: 0
P6: 10_0_18362
P7: 0_0
P8: 768_1
P9: 
P10: 


+++ WER6 +++:
Fault bucket 2250768545333976734, type 5
Event Name: RADAR_PRE_LEAK_64
Response: Not available
Cab Id: 0

Problem signature:
P1: lightroom.exe
P2: 5.7.0.10
P3: 10.0.18362.2.0.0
P4: 
P5: 
P6: 
P7: 
P8: 
P9: 
P10: 


+++ WER7 +++:
Fault bucket -695006955, type 1
Event Name: APPCRASH
Response: Not available
Cab Id: 0

Problem signature:
P1: atkexComSvc.exe
P2: 0.0.0.0
P3: 00000000
P4: atkexComSvc.exe
P5: 0.0.0.0
P6: 00000000
P7: c0000005
P8: 0000ed78
P9: 
P10: 


+++ WER8 +++:
Fault bucket -695006955, type 1
Event Name: APPCRASH
Response: Not available
Cab Id: 0

Problem signature:
P1: atkexComSvc.exe
P2: 0.0.0.0
P3: 00000000
P4: atkexComSvc.exe
P5: 0.0.0.0
P6: 00000000
P7: c0000005
P8: 0000ed78
P9: 
P10: 


+++ WER9 +++:
Fault bucket -695006955, type 1
Event Name: APPCRASH
Response: Not available
Cab Id: 0

Problem signature:
P1: atkexComSvc.exe
P2: 0.0.0.0
P3: 00000000
P4: atkexComSvc.exe
P5: 0.0.0.0
P6: 00000000
P7: c0000005
P8: 0000ed78
P9: 
P10: 


DxDiag.txt (90,983 bytes)

g3ucq

2019-10-24 01:46

viewer   ~0009000

I have a dual boot system with two Windows 10 Home 64 bit OS. I see the same problem in both.
You are welcome to remote my PC anytime. DXDiag info attached

g3ucq

2019-10-24 02:23

viewer   ~0009001

I have returned to the specific issue here and now find, for some reason, that the menu is working OK.
My apologies for the issues and confusion caused. Fixed.

WA9PIE

2019-10-24 05:57

administrator   ~0009002

Validated.

K7ZCZ

2019-10-26 12:52

administrator   ~0009022

Despite the haste to ship, I think it's necessary to consider quality. I'm sure it seems tedious or pedantic to those with little technical experience, but diving deep to investigate issues is absolutely necessary to improve and maintain the quality of a software project.

Here, we have a report that something has gone wrong with the UI in a ceratin part of the product. The details are sketchy, but we don't have any reason to doubt that there's legitimately a problem because the report has come from one of our reliable beta testers.

In order to investigate the issue, we have to figure out what's happening. We've got no code that will cause the reported symptoms, so something curious must be happening. While there can be no question that our test coverage is lacking, the issue isn't widely-reported and doesn't present itself on my own machine.

Then we find that the symptoms disappear. Intstead of investigating why, without any conversation about the status of the investigation, the issue is closed. Why would we take this approach? It favors shipping the product and gaming numbers over finding a deep explanation for observed behaviour and remedying whatever problem might have caused it.

I hope we can consider revisiting this attitude toward the product. Otherwise, I must conclude that a quality-first approach isn't welcome on this team.

I've made this change based on a hunch about the cause.
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5236

Issue History

Date Modified Username Field Change
2019-07-10 21:02 K7ZCZ New Issue
2019-07-12 17:52 K7ZCZ Assigned To => K7ZCZ
2019-07-12 17:52 K7ZCZ Status new => resolved
2019-07-12 17:52 K7ZCZ Resolution open => fixed
2019-07-12 17:52 K7ZCZ Note Added: 0008225
2019-08-30 15:16 K7ZCZ Fixed in Version => 6.7.0.226
2019-09-02 08:34 g3ucq Note Added: 0008496
2019-09-22 19:23 WA9PIE Status resolved => feedback
2019-09-22 19:23 WA9PIE Resolution fixed => reopened
2019-09-22 19:23 WA9PIE Description Updated View Revisions
2019-09-22 19:23 WA9PIE Testing Not Started => Beta Failed
2019-09-22 19:23 WA9PIE Note Added: 0008584
2019-09-25 17:53 K7ZCZ File Added: HRD Three Choices.png
2019-09-25 17:53 K7ZCZ Note Added: 0008678
2019-09-25 17:53 K7ZCZ Status feedback => resolved
2019-09-25 17:53 K7ZCZ Resolution reopened => fixed
2019-09-25 21:55 WA9PIE Assigned To K7ZCZ => g3ucq
2019-09-25 21:56 WA9PIE Note Added: 0008682
2019-09-26 08:48 g3ucq Note Added: 0008693
2019-09-26 09:09 K7ZCZ Note Added: 0008694
2019-09-26 09:27 g3ucq Note Added: 0008698
2019-09-26 11:12 K7ZCZ Note Added: 0008702
2019-09-26 13:48 g3ucq File Added: Menus.mp4
2019-09-26 13:48 g3ucq Note Added: 0008704
2019-09-26 14:31 K7ZCZ Note Added: 0008705
2019-09-26 14:46 g3ucq Note Added: 0008706
2019-10-10 08:44 WA9PIE Note Added: 0008779
2019-10-23 13:59 g3ucq Note Added: 0008984
2019-10-23 15:34 K7ZCZ Note Added: 0008985
2019-10-23 16:07 g3ucq Note Added: 0008986
2019-10-23 18:22 K7ZCZ Note Added: 0008989
2019-10-24 01:46 g3ucq File Added: DxDiag.txt
2019-10-24 01:46 g3ucq Note Added: 0009000
2019-10-24 02:23 g3ucq Note Added: 0009001
2019-10-24 05:57 WA9PIE Status resolved => closed
2019-10-24 05:57 WA9PIE Description Updated View Revisions
2019-10-24 05:57 WA9PIE Testing Beta Failed => Beta Successful
2019-10-24 05:57 WA9PIE Note Added: 0009002
2019-10-26 12:52 K7ZCZ Note Added: 0009022
2019-11-08 02:16 WA9PIE Fixed in Version 6.7.0.226 => 6.7.0.244
2019-11-08 02:31 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe